<?php

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

class OsmaModelAmministrazione extends JModelList {

    private function getPistoleScadenza() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("pi.*, mt.*, mk.*, md.*, ero.*")
                ->select("ge.idGestore, ge.ragioneSociale as gRagioneSociale, ge.indirizzo as gIndirizzo, ge.comune as gComune, ge.provincia as gProvincia, ge.cap as gCap, ge.piva as gPiva, ge.cf as gCf, ge.nrRea as gRea")
                ->select("cli.idCliente, cli.ragioneSociale as cRagioneSociale, cli.indirizzo as cIndirizzo, cli.comune as cComune, cli.provincia as cProvincia, cli.cap as cCap, cli.piva as cPiva, cli.cf as cCf")
                ->from("#__osma_anagrafica_pistole pi")
                ->leftJoin("#__osma_anagrafica_matricole mt ON mt.idMatricola = pi.idMatricola")
                ->leftJoin("#__osma_anagrafica_marche mk ON mt.idMarca = mk.idMarca")
                ->leftJoin("#__osma_anagrafica_tipologie tp ON mt.idTipologia = tp.idTipologia")
                ->leftJoin("#__osma_anagrafica_modelli md ON mt.idModello = md.idModello")
                ->leftJoin("#__osma_anagrafica_prodotti_erogati ero ON ero.idProdottoErogato = pi.idProdottoErogato")
                ->innerJoin("#__osma_xref_gestore_matricole xref1 ON xref1.idMatricola = mt.idMatricola")
                ->innerJoin("#__osma_anagrafica_gestori ge ON xref1.idGestore = ge.idGestore")
                ->innerJoin("#__osma_anagrafica_clienti cli ON cli.idCliente = ge.idCliente")
                ->where("pi.ignoraScadenza = 0")
                ->where("cli.deleted = 0")
                ->where("cli.published = 1")
                ->where("ge.deleted = 0")
                ->where("ge.published = 1")
                ->where("mt.deleted = 0")
                ->where("pi.scadenzaPeriodica != '0000-00-00'")
                ->order("cli.ragioneSociale, ge.ragioneSociale");

        if (JRequest::getVar('filter_gestore')) {
            $query->where("ge.idGestore = " . JRequest::getVar('filter_gestore'));
        }
        if (JRequest::getVar('filter_cliente')) {
            $query->where("cli.idCliente = " . JRequest::getVar('filter_cliente'));
        }
        if (JRequest::getVar('filter_scadute')) {
            if (JRequest::getVar('filter_scadute') == 1) {
                $query->where("pi.scadenzaPeriodica <= NOW()");
            } elseif (JRequest::getVar('filter_scadute') == 2) {
                $query->where("pi.scadenzaPeriodica BETWEEN NOW() AND DATE_ADD(NOW(), INTERVAL 2 MONTH)");
            }
        } else {
            $query->where("(pi.scadenzaPeriodica BETWEEN NOW() AND DATE_ADD(NOW(), INTERVAL 2 MONTH) OR pi.scadenzaPeriodica <= NOW())");
        }


        $db->setQuery($query);
        return $db->loadObjectList();
    }

    private function getStatistiche() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $items = array();

        $query->clear()
                ->select("COUNT(*)")->from("#__osma_anagrafica_attrezzature")
                ->where("scadenzaRevisione != '0000-00-00'")
                ->where("scadenzaRevisione <= NOW()");

        $db->setQuery($query);
        $items['attrezzature']['revisioni']['scadute'] = $db->loadResult();

        $query->clear()
                ->select("COUNT(*)")->from("#__osma_anagrafica_attrezzature")
                ->where("scadenzaRevisione BETWEEN NOW() AND DATE_ADD(NOW(), INTERVAL 2 MONTH)");

        $db->setQuery($query);
        $items['attrezzature']['revisioni']['scadenza'] = $db->loadResult();

        $query->clear()
                ->select("COUNT(*)")->from("#__osma_anagrafica_mezzi")
                ->where("scadenzaRevisione != '0000-00-00'")
                ->where("scadenzaRevisione <= NOW()");

        $db->setQuery($query);
        $items['mezzi']['revisioni']['scadute'] = $db->loadResult();

        $query->clear()
                ->select("COUNT(*)")->from("#__osma_anagrafica_mezzi")
                ->where("scadenzaRevisione BETWEEN NOW() AND DATE_ADD(NOW(), INTERVAL 2 MONTH)");

        $db->setQuery($query);

        $items['mezzi']['revisioni']['scadenza'] = $db->loadResult();

        $query->clear()
                ->select("COUNT(*)")->from("#__osma_anagrafica_mezzi")
                ->where("scadenzaBollo != '0000-00-00'")
                ->where("scadenzaBollo <= NOW()");

        $db->setQuery($query);
        $items['mezzi']['bolli']['scaduti'] = $db->loadResult();

        $query->clear()
                ->select("COUNT(*)")->from("#__osma_anagrafica_mezzi")
                ->where("scadenzaBollo BETWEEN NOW() AND DATE_ADD(NOW(), INTERVAL 2 MONTH)");

        $db->setQuery($query);
        $items['mezzi']['bolli']['scadenza'] = $db->loadResult();

        $query->clear()
                ->select("COUNT(*)")->from("#__osma_anagrafica_mezzi")
                ->where("scadenzaAssicurazione != '0000-00-00'")
                ->where("scadenzaAssicurazione <= NOW()");

        $db->setQuery($query);
        $items['mezzi']['assicurazioni']['scadute'] = $db->loadResult();

        $query->clear()
                ->select("COUNT(*)")->from("#__osma_anagrafica_mezzi")
                ->where("scadenzaAssicurazione BETWEEN NOW() AND DATE_ADD(NOW(), INTERVAL 2 MONTH)");

        $db->setQuery($query);
        $items['mezzi']['assicurazioni']['scadenza'] = $db->loadResult();

        $query->clear()
                ->select("COUNT(*)")->from("#__osma_anagrafica_manutentori")
                ->where("scadenzaVisita BETWEEN NOW() AND DATE_ADD(NOW(), INTERVAL 2 MONTH)");

        $db->setQuery($query);
        $items['manutentori']['visite']['scadenza'] = $db->loadResult();

        $query->clear()
                ->select("COUNT(*)")->from("#__osma_anagrafica_manutentori")
                ->where("scadenzaVisita != '0000-00-00'")
                ->where("scadenzaVisita <= NOW()");

        $db->setQuery($query);
        $items['manutentori']['visite']['scadute'] = $db->loadResult();

        $query->clear()
                ->select("COUNT(*)")->from("#__osma_anagrafica_pistole")
                ->where("scadenzaPeriodica BETWEEN NOW() AND DATE_ADD(NOW(), INTERVAL 2 MONTH)");

        $db->setQuery($query);
        $items['pistole']['revisioni']['scadenza'] = $db->loadResult();

        $query->clear()
                ->select("COUNT(*)")->from("#__osma_anagrafica_pistole")
                ->where("scadenzaPeriodica != '0000-00-00'")
                ->where("scadenzaPeriodica <= NOW()");

        $db->setQuery($query);
        $items['pistole']['revisioni']['scadute'] = $db->loadResult();

        return $items;
    }

    private function getPistolePerVerifica() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("DISTINCT pi.*, mt.*, mk.*, md.*, ero.*, tp.*, xref1.*")
                ->select("ge.idGestore, ge.ragioneSociale as gragioneSociale, ge.indirizzo as gindirizzo, ge.comune as gcomune, ge.provincia as gprovincia, ge.cap as gcap, ge.piva as gpiva, ge.cf as gcf, ge.nrRea as grea, comp.compagnia as gcompagnia")
                ->select("cli.idCliente, cli.ragioneSociale as cragioneSociale, cli.indirizzo as cindirizzo, cli.comune as ccomune, cli.provincia as cprovincia, cli.cap as ccap, cli.piva as cpiva, cli.cf as ccf")
                ->select("(SELECT email FROM #__osma_gestori_contatti WHERE idGestore = ge.idGestore LIMIT 0,1) as emailGestore, (SELECT telefono FROM #__osma_gestori_contatti WHERE idGestore = ge.idGestore LIMIT 0,1) as telefonoGestore")
                ->select("(SELECT email FROM #__osma_clienti_contatti WHERE idCliente = cli.idCliente LIMIT 0,1) as emailCliente, (SELECT telefono FROM #__osma_clienti_contatti WHERE idCliente = cli.idCliente LIMIT 0,1) as telefonoCliente")
                ->from("#__osma_anagrafica_pistole pi")
                ->innerJoin("#__osma_anagrafica_matricole mt ON mt.idMatricola = pi.idMatricola")
                ->innerJoin("#__osma_anagrafica_marche mk ON mt.idMarca = mk.idMarca")
                ->innerJoin("#__osma_anagrafica_tipologie tp ON mt.idTipologia = tp.idTipologia")
                ->innerJoin("#__osma_anagrafica_modelli md ON mt.idModello = md.idModello")
                ->innerJoin("#__osma_anagrafica_prodotti_erogati ero ON ero.idProdottoErogato = pi.idProdottoErogato")
                ->innerJoin("#__osma_xref_gestore_matricole xref1 ON xref1.idMatricola = mt.idMatricola")
                ->innerJoin("#__osma_anagrafica_gestori ge ON xref1.idGestore = ge.idGestore")
                ->innerJoin("#__osma_anagrafica_compagnie comp ON comp.idCompagnia = ge.idCompagnia")
                ->innerJoin("#__osma_anagrafica_clienti cli ON cli.idCliente = ge.idCliente")
                ->where("mt.deleted = 0")
                ->where("pi.idPistola IN (" . implode(",", JRequest::getVar("idPistole")) . ")")
                ->order("ge.ragioneSociale");

        $db->setQuery($query);
        return $db->loadObjectList();
    }

    public function getRichiesta($id) {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("*")->from("#__osma_amministrazione_rvmp")->where("idRichiesta = " . $id);
        $db->setQuery($query);

        $result = $db->loadObject();
        $result->idPistole = unserialize($result->idPistole);
        $result->utenteMetrico = (object) unserialize($result->utenteMetrico);
        $result->intestazione = (object) unserialize($result->intestazione);

        if ($result->manuale) {
            for ($i = 0; $i < count($result->idPistole['tipologia']); $i++) {
                $result->pistole[] = (object) array(
                            'tipologia' => $result->idPistole['tipologia'][$i],
                            'matricola' => $result->idPistole['matricola'][$i],
                            'marca' => $result->idPistole['marca'][$i],
                            'modello' => $result->idPistole['modello'][$i],
                            'normativa' => $result->idPistole['normativa'][$i],
                            'scadenzaPeriodica' => $result->idPistole['scadenzaPeriodica'][$i],
                            'portata' => $result->idPistole['portata'][$i]
                );
            }
        } else {
            $query->clear()
                    ->select("DISTINCT pi.*, mt.*, mk.*, md.*, ero.*, tp.*, xref1.*")
                    ->select("ge.idGestore, ge.ragioneSociale as gragioneSociale, ge.indirizzo as gindirizzo, ge.comune as gcomune, ge.provincia as gprovincia, ge.cap as gcap, ge.piva as gpiva, ge.cf as gcf, ge.nrRea as grea, comp.compagnia as gcompagnia")
                    ->select("cli.idCliente, cli.ragioneSociale as cragioneSociale, cli.indirizzo as cindirizzo, cli.comune as ccomune, cli.provincia as cprovincia, cli.cap as ccap, cli.piva as cpiva, cli.cf as ccf")
                    ->select("(SELECT email FROM #__osma_gestori_contatti WHERE idGestore = ge.idGestore LIMIT 0,1) as emailGestore, (SELECT telefono FROM #__osma_gestori_contatti WHERE idGestore = ge.idGestore LIMIT 0,1) as telefonoGestore")
                    ->select("(SELECT email FROM #__osma_clienti_contatti WHERE idCliente = cli.idCliente LIMIT 0,1) as emailCliente, (SELECT telefono FROM #__osma_clienti_contatti WHERE idCliente = cli.idCliente LIMIT 0,1) as telefonoCliente")
                    ->from("#__osma_anagrafica_pistole pi")
                    ->innerJoin("#__osma_anagrafica_matricole mt ON mt.idMatricola = pi.idMatricola")
                    ->innerJoin("#__osma_anagrafica_marche mk ON mt.idMarca = mk.idMarca")
                    ->innerJoin("#__osma_anagrafica_tipologie tp ON mt.idTipologia = tp.idTipologia")
                    ->innerJoin("#__osma_anagrafica_modelli md ON mt.idModello = md.idModello")
                    ->innerJoin("#__osma_anagrafica_prodotti_erogati ero ON ero.idProdottoErogato = pi.idProdottoErogato")
                    ->innerJoin("#__osma_xref_gestore_matricole xref1 ON xref1.idMatricola = mt.idMatricola")
                    ->innerJoin("#__osma_anagrafica_gestori ge ON xref1.idGestore = ge.idGestore")
                    ->innerJoin("#__osma_anagrafica_compagnie comp ON comp.idCompagnia = ge.idCompagnia")
                    ->innerJoin("#__osma_anagrafica_clienti cli ON cli.idCliente = ge.idCliente")
                    ->where("mt.deleted = 0")
                    ->where("pi.idPistola IN (" . implode(",", $result->idPistole) . ")")
                    ->order("ge.ragioneSociale");

            $db->setQuery($query);
            $result->pistole = $db->loadObjectList();
        }

        return $result;
    }

    private function getElencoRVMP() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("m.*, ge.*, p.inserted dataPreventivo, p.fatturato as fatturatoPrev")
                ->from("#__osma_amministrazione_rvmp m")
                ->leftJoin("#__osma_anagrafica_gestori ge ON ge.idGestore = m.idGestore")
                ->leftJoin("#__osma_amministrazione_preventivi p ON p.idPreventivo = m.idPreventivo")
                ->order("YEAR(m.dataCompilazione) DESC, MONTH(m.dataCompilazione) DESC, progressivo DESC");

        if (JRequest::getVar('filter_search')) {
            $query->where("(intestazione LIKE '%" . JRequest::getVar('filter_search') . "%' OR utenteMetrico LIKE '%" . JRequest::getVar('filter_search') . "%')");
        }

        $db->setQuery($query);
        return $db->loadObjectList();
    }

    public function getTotal() {
        return count($this->getItems());
    }

    public function getBanche() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("*")->from("#__osma_anagrafica_banche")->order("denominazione DESC");

        $db->setQuery($query);

        return $db->loadObjectList();
    }

    public function getElencoPreventivi() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("p.*, r.idRichiesta, r.intestazione, r.utenteMetrico")
                ->from("#__osma_amministrazione_preventivi as p")
                ->leftJoin("#__osma_amministrazione_rvmp as r ON r.idPreventivo = p.idPreventivo")
                ->order("idPreventivo DESC");

        if (JRequest::getVar('filter_preventivazione')) {
            if (JRequest::getVar('filter_preventivazione') == 1) {
                $query->where("(idRichiesta IS NULL OR idRichiesta = 0)");
            } elseif (JRequest::getVar('filter_preventivazione') == 2) {
                $query->where("idRichiesta > 0");
            }
        }
        if (JRequest::getVar('filter_fatturazione')) {
            if (JRequest::getVar('filter_fatturazione') == 2) {
                $query->where("fatturato = 0");
            } elseif (JRequest::getVar('filter_fatturazione') == 1) {
                $query->where("fatturato = 1");
            }
        }
        if (JRequest::getVar('filter_search')) {
            $query->where("(destinazione LIKE '%" . JRequest::getVar('filter_search') . "%' OR spettabile LIKE '%" . JRequest::getVar('filter_search') . "%')");
        }

        $db->setQuery($query);

        $items = $db->loadObjectList();

        foreach ($items as $k => $prev) {
            $query->clear()->select("*")->from("#__osma_amministrazione_preventivi_pistole")->where("idPreventivo = {$prev->idPreventivo}");
            $db->setQuery($query);
            $items[$k]->pistole = $db->loadObjectList();
        }

        return $items;
    }

    public function getCodiciMagazzino() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("*")->from("#__osma_magazzino_codici")->order("codice ASC");
        $db->setQuery($query);

        return $db->loadObjectList();
    }

    public function getGestori() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("g.*, c.ragioneSociale as ragioneSocialeCliente")
                ->from("#__osma_anagrafica_gestori g")
                ->innerJoin("#__osma_anagrafica_clienti c ON g.idCliente = c.idCliente")
                ->where("g.published = 1 AND g.deleted = 0")
                ->order("ragioneSociale ASC");
        $db->setQuery($query);

        return $db->loadObjectList();
    }

    public function getScadenziario() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("*")->from("#__osma_amministrazione_scadenziario s")
                ->innerJoin("#__osma_anagrafica_gestori g ON g.idGestore = s.idGestore")
                ->order("idScadenza");
        $db->setQuery($query);

        return $db->loadObjectList();
    }

    public function getPreventivo() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("*")->from("#__osma_amministrazione_preventivi")->where("idPreventivo = " . JRequest::getVar("idPreventivo"));
        $db->setQuery($query);

        $preventivo = $db->loadObject();

        $query->clear()->select("*")->from("#__osma_amministrazione_preventivi_voci")->where("idPreventivo = " . JRequest::getVar("idPreventivo"));
        $db->setQuery($query);

        $preventivo->voci = $db->loadObjectList();

        $query->clear()->select("*")->from("#__osma_amministrazione_preventivi_pistole")->where("idPreventivo = " . JRequest::getVar("idPreventivo"));
        $db->setQuery($query);

        $preventivo->pistole = $db->loadObjectList();

        return $preventivo;
    }

    public function getEmailLogs() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("*")->from("#__osma_mail_logger")->order("inserted DESC");

        if (JRequest::getVar('filter_sended')) {
            if (JRequest::getVar('filter_sended') == 2) {
                $query->where("sended = 0");
            } elseif (JRequest::getVar('filter_sended') == 1) {
                $query->where("sended = 1");
            }
        }

        if (JRequest::getVar('filter_section')) {
            $query->where("section = " . $db->quote(JRequest::getVar('filter_section')));
        }

        if (JRequest::getVar('filter_search')) {
            $query->where("(subject LIKE " . $db->quote('%' . JRequest::getVar('filter_search') . '%') . " OR emails LIKE " . $db->quote('%' . JRequest::getVar('filter_search') . '%') . ")");
        }

        $db->setQuery($query, 0, 500);

        return $db->loadObjectList();
    }

    public function getEmailSections() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("DISTINCT section")->from("#__osma_mail_logger")->order("section");

        $db->setQuery($query);

        return $db->loadObjectList();
    }

    public function getUltimoProgressivo() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("MAX(progressivo)")->from("#__osma_amministrazione_rvmp")->where("YEAR(inserted) = YEAR(NOW())");
        $db->setQuery($query);

        $num = $db->loadResult();
        if ($num) {
            return $num + 1;
        }
        return 1;
    }

    public function getItems() {

        switch (JRequest::getVar("layout") ? JRequest::getVar("layout") : "default") {
            case 'default':
                return $this->getStatistiche();
            case 'pistole-scadenza':
                return $this->getPistoleScadenza();
            case 'elenco-preventivi':
                return $this->getElencoPreventivi();
            case 'genera-preventivo':
            case 'genera-rvmp':
                if (JRequest::getVar('idPistole')) {
                    return $this->getPistolePerVerifica();
                } elseif (JRequest::getVar('idRichiesta')) {
                    return $this->getRichiesta(JRequest::getVar('idRichiesta'));
                } else {
                    return null;
                }
            case 'elenco-rvmp':
                return $this->getElencoRVMP();
            case 'scadenziario':
                return $this->getScadenziario();
            case 'email-logger':
                return $this->getEmailLogs();
        }
    }

}
