<?php

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

class OsmaModelDashboard extends JModelList {

    private function add_conditions($query) {

        if (JRequest::getVar("from")) {
            $query->where("dataApertura BETWEEN '" . JRequest::getVar("from") . "' AND NOW()");
        }else{
            //come prima vista imposto 3 mesi

            $data=date("Y-m-01", strtotime("- 2 months"));
            $query->where("dataApertura BETWEEN '" . $data . "' AND NOW()");
        }

        if (osmaHelper::isAccessLevel(COM_OSMA_AL_MANUTENTORI) && !osmaHelper::isManutentoreTest()) {
            $user = JFactory::getUser();
            $userid = $user->get('id');
            $query->where("(" . $userid . " IN (SELECT idUser FROM #__osma_xref_intervento_utenti u INNER JOIN #__osma_chiamata_interventi i ON i.idIntervento = u.idIntervento WHERE i.idChiamata = chi.idChiamata) OR
                            " . $userid . " IN (SELECT idInviaMailA FROM #__osma_chiamata_interventi as i WHERE i.idChiamata = chi.idChiamata))");
        }

        if (osmaHelper::isAccessLevel(COM_OSMA_AL_UTENZE)) {
            if (osmaHelper::isGroup(COM_OSMA_GR_CLIENTI)) {
                $query->innerJoin("#__osma_anagrafica_clienti cli ON cli.idCliente = chi.idCliente");
                $query->where("cli.idCliente = " . osmaHelper::getUtenza('idCliente', 'cliente'));
            } elseif (osmaHelper::isGroup(COM_OSMA_GR_GESTORI)) {
                $query->innerJoin("#__osma_anagrafica_gestori cli ON cli.idGestore = chi.idGestore");
                $query->where("cli.idGestore = " . osmaHelper::getUtenza('idGestore', 'gestore'));
            }
        }

        return $query;
    }

    public function getTotaleChiamateForfait() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("COUNT(*)")->from("#__osma_chiamate as chi")->where("tipo = 1");

        $query = $this->add_conditions($query);

        $db->setQuery($query);

        return $db->loadResult();
    }

    public function getTotaleChiamateForfaitAperte() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("COUNT(*)")->from("#__osma_chiamate as chi")->where("tipo = 1 AND stato = 1");

        $query = $this->add_conditions($query);

        $db->setQuery($query);

        return $db->loadResult();
    }

    public function getTotaleChiamateForfaitChiuse() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("COUNT(*)")->from("#__osma_chiamate as chi")->where("tipo = 1 AND stato = 4");

        $query = $this->add_conditions($query);

        $db->setQuery($query);

        return $db->loadResult();
    }

    public function getTotaleChiamateForfaitScadute() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("COUNT(*)")->from("#__osma_chiamate as chi")->where("tipo = 1 AND stato != 4 AND dataScadenza < NOW()");

        $query = $this->add_conditions($query);

        $db->setQuery($query);

        return $db->loadResult();
    }

    public function getTotaleChiamateForfaitSospese() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("COUNT(*)")->from("#__osma_chiamate as chi")->where("tipo = 1 AND stato = 3");

        $query = $this->add_conditions($query);

        $db->setQuery($query);

        return $db->loadResult();
    }

    public function getTotaleChiamateForfaitInCorso() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("COUNT(*)")->from("#__osma_chiamate as chi")->where("tipo = 1 AND stato NOT IN (3, 4)");

        $query = $this->add_conditions($query);

        $db->setQuery($query);

        return $db->loadResult();
    }

    public function getTotaleChiamateExtraForfait() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("COUNT(*)")->from("#__osma_chiamate as chi")->where("tipo = 2");

        $query = $this->add_conditions($query);

        $db->setQuery($query);

        return $db->loadResult();
    }

    public function getTotaleChiamateExtraForfaitAperte() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("COUNT(*)")->from("#__osma_chiamate as chi")->where("tipo = 2 AND stato = 1");

        $query = $this->add_conditions($query);

        $db->setQuery($query);

        return $db->loadResult();
    }

    public function getTotaleChiamateExtraForfaitChiuse() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("COUNT(*)")->from("#__osma_chiamate as chi")->where("tipo = 2 AND stato = 4");

        $query = $this->add_conditions($query);

        $db->setQuery($query);

        return $db->loadResult();
    }

    public function getTotaleChiamateExtraForfaitScadute() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("COUNT(*)")->from("#__osma_chiamate as chi")->where("tipo = 2 AND stato != 4 AND dataScadenza < NOW()");

        $query = $this->add_conditions($query);

        $db->setQuery($query);

        return $db->loadResult();
    }

    public function getTotaleChiamateExtraForfaitSospese() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("COUNT(*)")->from("#__osma_chiamate as chi")->where("tipo = 2 AND stato = 3");

        $query = $this->add_conditions($query);

        $db->setQuery($query);

        return $db->loadResult();
    }

    public function getTotaleChiamateExtraForfaitInCorso() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("COUNT(*)")->from("#__osma_chiamate as chi")->where("tipo = 2 AND stato NOT IN (3, 4)");

        $query = $this->add_conditions($query);

        $db->setQuery($query);

        return $db->loadResult();
    }

    public function getTotaleChiamateExtraForfaitDaConsuntivare() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        //$query->select("COUNT(*)")->from("#__osma_chiamate as chi")->where("tipo = 2 AND consuntivata = 0");
        $query->select("COUNT(*)")->from("#__osma_chiamate as chi")->where("tipo = 2 AND stato = 8");

        $query = $this->add_conditions($query);

        $db->setQuery($query);

        return $db->loadResult();
    }

    public function getMonthlyForfait() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("YEAR(dataApertura) year, MONTH(dataApertura) month, COUNT(*) count")
                ->from("#__osma_chiamate as chi")
                ->where("tipo = 1")
                ->group("YEAR(dataApertura), MONTH(dataApertura)")
                ->order("YEAR(dataApertura) ASC, MONTH(dataApertura) ASC");

        $query = $this->add_conditions($query);

        if (!JRequest::getVar("from")) {
            $query->where("dataApertura BETWEEN '" . date("Y-m-01", strtotime("- 5 months")) . "' AND NOW()");
        }

        $db->setQuery($query);

        return $db->loadObjectList();
    }

    public function getMonthlyExtraForfait() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select("YEAR(dataApertura) year, MONTH(dataApertura) month, COUNT(*) count")
                ->from("#__osma_chiamate as chi")
                ->where("tipo = 2")
                ->group("YEAR(dataApertura), MONTH(dataApertura)")
                ->order("YEAR(dataApertura) ASC, MONTH(dataApertura) ASC");

        $query = $this->add_conditions($query);

        if (!JRequest::getVar("from")) {
            $query->where("dataApertura BETWEEN '" . date("Y-m-01", strtotime("- 5 months")) . "' AND NOW()");
        }

        $db->setQuery($query);

        return $db->loadObjectList();
    }

}
