<?php
defined('_JEXEC') or die('Restricted access');
JHtml::_('behavior.formvalidator');

$document = JFactory::getDocument();
$document->addStyleSheet(JURI::base() . 'components/com_osma/assets/css/documenti.css?ver=' . COM_OSMA_VER);

$ragioniSociali[1] = 'OSMA';
$ragioniSociali[2] = 'E2OIL';

?>

<div class="t3a-toolbar row">
    <div class="btn-group btn-group-small pull-right">
        <?php if (!osmaHelper::isAccessLevel(COM_OSMA_AL_MANUTENTORI)) { ?>
            <a class='btn btn-warning' href="<?php echo JRoute::_("index.php?option=com_osma&view=chiamata&idChiamata=" . JRequest::getVar("idChiamata")) ?>">
                <i class="fa fa-chevron-left"></i> Torna
            </a>
        <?php } else { ?>
            <a class='btn btn-warning' href="<?php echo JRoute::_("index.php?option=com_osma&view=chiamate") ?>">
                <i class="fa fa-chevron-left"></i> Torna
            </a>
        <?php } ?>
    </div>
</div>

<div class="main-panel">
    <ul class="nav nav-tabs">
        <li class="active"><a data-toggle="tab" href="#duvri">DUVRI</a></li>
        <li class="<?php echo (!$this->duvri->id ? 'disabled hidden' : '') ?>"><a data-toggle="tab" href="#registro">Registro di Manutenzione</a></li>
    </ul>
    <div class="tab-content">
        <div id="duvri" class="tab-pane fade in active">

            <form action="<?php echo JRoute::_('index.php?option=com_osma&view=chiusura'); ?>" method="post" id="adminForm" class="form-validate" name="chiusuraForm">
                <div class="mart2">
                    <div class="page-header">
                        <h3>Scheda operativa del <b>DUVRI</b> Integrativo</h3>
                    </div>
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="field text-right" style="border-bottom: 0">
                                <b>A cura Impresa</b>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div id="field1" class="field">
                                <div class="field-header">
                                    <h4>CAMPO 1 - Informazioni generali:</h4>
                                </div>
                                <div class="row">
                                    <div class="col-sm-3 control-group">
                                        <label>Data inizio lavori: </label>
                                        <div class='input-group inizioLavoriGroup' id="inizioLavoriGroup">
                                            <input type='text' class=" required" id='inizioLavori' name="inizioLavori" value="<?php echo $this->duvri->inizioLavori ? date("d/m/Y", strtotime($this->duvri->inizioLavori)) : date("d/m/Y") ?>"/>
                                            <span class="input-group-addon">
                                                <span class="glyphicon glyphicon-calendar"></span>
                                            </span>
                                        </div>
                                    </div>
                                    <div class="col-sm-3 control-group">
                                        <label class="">Contratto n.: </label>
                                        <input class="required" name="contractNumber" type="text" value='<?php echo $this->info->nrChiamata . ($this->info->nrChiamataCompagnia ? " - {$this->info->nrChiamataCompagnia}" : "") ?>' readonly='readonly'>
                                    </div>
                                    <div class="col-sm-3 control-group">
                                        <label class="">del: </label>
                                        <div class='input-group dataContrattoGroup' id="dataContrattoGroup">
                                            <input type='text' class=" required" id='dataContratto' name="dataContratto" value="<?php echo date("d/m/Y", strtotime($this->info->dataApertura)) ?>"/>
                                            <span class="input-group-addon">
                                                <span class="glyphicon glyphicon-calendar"></span>
                                            </span>
                                        </div>
                                    </div>
                                    <div class="col-sm-3 control-group">
                                        <label>Data prevista per la fine dei lavori: </label>
                                        <div class='input-group fineLavoriGroup' id="fineLavoriGroup">
                                            <input type='text' class=" required" id='fineLavori' name="fineLavori" value="<?php echo ($this->duvri->fineLavori ? date("d/m/Y", strtotime($this->duvri->fineLavori)) : date("d/m/Y")) ?>"/>
                                            <span class="input-group-addon">
                                                <span class="glyphicon glyphicon-calendar"></span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                <hr class="small-divider">
                                <div class="row mart2">
                                    <div class="col-sm-3 control-group">
                                        <label>Apparecchiatura o zona di lavoro *:</label>
                                        <input class=" required" name="equipment" type="text" value="<?php echo $this->duvri->equipment ?>"><span class="validationMessage" style="display: none;"></span>
                                    </div>
                                    <div class="col-sm-3 control-group">
                                        <label for="duvriDescription">Descrizione del lavoro: </label>
                                        <input class=" required" name="duvriDescription" type="text" value='<?php echo $this->info->note ?>' readonly='readonly'>
                                    </div>
                                    <div class="col-sm-3 control-group">
                                        <label>Ragione sociale Impresa n. 1: </label>
                                        <input class=" required" name="companyName" type="text" value='<?php echo $ragioniSociali[$this->info->idLogo] ?>' readonly='readonly'>
                                    </div>
                                    <div class="col-sm-3 control-group">
                                        <label>Nominativo del Respo. / Preposto Impresa: </label>
                                        <input class=" required" name="responsabile" type="text" value='<?php echo $this->info->userName ?>' readonly='readonly'>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <hr class="divider">
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="field text-right" style="border-bottom: 0;">
                                <b>A cura del Gestore del P.V. con la partecipazione della/e Impresa/e</b>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div id="field2" class="field">
                                <div class="field-header">
                                    <h4>CAMPO 2 - Tipo interferenza:</h4>
                                </div>
                                <div class="form-group">
                                    <p>a) <input type="radio" name="tipo" value="1" class='required' <?php echo ($this->duvri->tipo == 1 ? 'checked="checked"' : "") ?>> Nessuna interferenza significativa (non occore compilare i rimanenti campi).</p>
                                    <p>b) <input type="radio" name="tipo" value="2" class='required' <?php echo ($this->duvri->tipo == 2 ? 'checked="checked"' : "") ?>> Possibile interferenza significativa con l'attività del personale del Punto Vendita. E' compresa nella valutazione l'eventuale interferenza tra i rischi legati alla struttura, alle attività ed ai prodotti del Punto Vendita ed i rischi generati da lavori/mezzi dell'impresa - <b>Compilare il CAMPO 3 ed il CAMPO 4</b></p>
                                    <p>c) <input type="radio" name="tipo" value="3" class='required' <?php echo ($this->duvri->tipo == 3 ? 'checked="checked"' : "") ?>> Possibile interferenza con altri lavori/imprese in zona. In questo caso elencare tali lavori/imprese. <b>Compilare i CAMPI 3 e 4</b></p>
                                </div>
                                <div class="clearfix camporag" <?php echo ($this->duvri->id && $this->duvri->tipo == '3' ? "" : "style='display: none'") ?> >
                                    <div class='col-sm-4 col-md-offset-1 rag-soc-imprese control-group' style="padding-left: 25px">
                                        <?php
                                        if ($this->duvri->ragionisociali) {
                                            $this->duvri->ragionisociali = unserialize($this->duvri->ragionisociali);
                                            if ($this->duvri->ragionisociali) {
                                                foreach ($this->duvri->ragionisociali as $data) {
                                                    ?><input type='text' value='<?php echo $data ?>' name='ragionisociali[]' /><?php
                                                }
                                            }
                                        }
                                        ?>
                                    </div>
                                    <div class="col-sm-7 text-right">
                                        <?php if (!$this->duvri || count($this->duvri->ragionisociali) < 3) { ?>
                                            <span class="btn btn-warning btn-sm add-impresa"><i class="fa fa-plus"></i> Aggiungi nuovo lavoro / impresa</span>
                                        <?php } ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <hr class="divider">
                    <div class="campo3" <?php echo ($this->duvri->id && $this->duvri->tipo !== '1' ? "" : "style='display: none'") ?> >
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="field text-right" style="border-bottom: 0">
                                    <b>A cura del Gestore del P.V. con la partecipazione della/e impresa/e</b>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <div id="field3" class="field">
                                    <div class="field-header">
                                        <h4>CAMPO 3 a - Rischio Accettabile con Prescrizioni:</h4>
                                    </div>
                                    <div class="form-group">
                                        <p><input type="radio" name="rischio" value="1" class='' <?php echo ($this->duvri->rischio == 1 ? 'checked="checked"' : "") ?>> Isolare/delimitare/segnalare l'area di lavoro.</p>
                                        <p><input type="radio" name="rischio" value="2" class='' <?php echo ($this->duvri->rischio == 2 ? 'checked="checked"' : "") ?>> Protezioni da adottare in caso di lavori in quota:</p>
                                        <p><input type="radio" name="rischio" value="3" class='' <?php echo ($this->duvri->rischio == 3 ? 'checked="checked"' : "") ?>> Informare il proprio personale di operazioni sull'area di lavoro da parte del personale del gestore del p.v.</p>
                                        <p><input type="radio" name="rischio" value="4" class='' <?php echo ($this->duvri->rischio == 4 ? 'checked="checked"' : "") ?>> Sospendere i lavori durante l'esecuzione di operazioni sull'area di lavoro da parte del personale  del p.v.</p>
                                        <p><input type="radio" name="rischio" value="5" class='' <?php echo ($this->duvri->rischio == 5 ? 'checked="checked"' : "") ?>> Altre (descrivere):</p>
                                        <p><input id="altreRischio" name="altreRischio" value="<?php echo $this->duvri->altreRischio ?>" style="width:100%;" /></p>
                                    </div>
                                    <div class="field-header">
                                        <h4>CAMPO 3 b - Precauzioni a carico del Gestore del P.to Vendita.</h4>
                                    </div>
                                    <div class="form-group">
                                        <p><input type="radio" name="precauzioni" value="1" class='' <?php echo ($this->duvri->precauzioni == 1 ? 'checked="checked"' : "") ?>> Informare il personale dell'impresa di altri lavori in corso nell'area di lavoro</p>
                                        <p><input type="radio" name="precauzioni" value="2" class='' <?php echo ($this->duvri->precauzioni == 2 ? 'checked="checked"' : "") ?>> Vietare l'accesso all'area lavori</p>
                                        <p><input type="radio" name="precauzioni" value="3" class='' <?php echo ($this->duvri->precauzioni == 3 ? 'checked="checked"' : "") ?>> Procedere ad eventuali operazioni nell'area lavori solo previa sospensione degli stessi e messa in sicurezza dell'area da parte dell'Impresa 1.</p>
                                        <p><input type="radio" name="precauzioni" value="4" class='' <?php echo ($this->duvri->precauzioni == 4 ? 'checked="checked"' : "") ?>> Altre (descrivere):</p>
                                        <p><input id="altrePrecauzioni" name="altrePrecauzioni" class='' value="<?php echo $this->duvri->altrePrecauzioni ?>"  style="width:100%;"  /></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <hr class="divider">
                    </div>

                    <div class="campo4" <?php echo ($this->duvri->id && $this->duvri->tipo != '1' ? "" : "style='display: none'") ?> >
                        <div class="row">
                            <div class="col-sm-12">
                                <div class="field text-right" style="border-bottom: 0">
                                    <b>A cura del Gestore del P.V. con la partecipazione della/e Impresa/e</b>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <div id="field4" class="field">
                                    <div class="field-header">
                                        <h4>CAMPO 4 - Eventuali allegati (verbali di riunione, programmi lavori, ecc.), firme dei soggetti che hanno partecipato alla compilazione della scheda, ed eventuale stato di revisione della stessa:</h4>
                                    </div>
                                    <div class="form-group" >
                                        <textarea id="editor" name="statoRevisione" style="width:100%;" class='form-control'><?php echo $this->duvri->statoRevisione ?></textarea>
                                    </div>
                                    <div class="row mart2">
                                        <div class="col-sm-3 control-group">
                                            <label>Revisione / Integrazione n°: </label>
                                            <input class="form-control" name="revisionNumber" type="text" value="<?php echo $this->duvri->revisionNumber ?>"><span class="validationMessage" style="display: none;"></span>
                                        </div>
                                        <div class="col-sm-3 control-group">
                                            <label>del: </label>
                                            <div class='input-group dataRevisioneGroup' id="dataRevisioneGroup">
                                                <input type='text' class="form-control" id='dataRevisione' name="dataRevisione" value="<?php echo (strtotime($this->duvri->dataRevisione) ? date("d/m/Y H:i", strtotime($this->duvri->dataRevisione)) : "") ?>"/>
                                                <span class="input-group-addon">
                                                    <span class="glyphicon glyphicon-calendar"></span>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <hr class="divider">
                    </div>
                    <div class="campo5" >
                        <div class="row">
                            <div class="col-sm-12">
                                <div id="field4" class="field">
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <div class="field-header">
                                                <h4><?php echo ($this->duvri->id ? "" : '<a class="openSignature" data-signatureName="signaturePtoVendita" href="javascript:void(0)">') ?>Timbro e Firma del Gestore del P.to Vendita<?php echo ($this->duvri->id ? "" : '</a>') ?></h4>
                                                <div class='row'>
                                                    <div class='col-sm-3'>
                                                        <img id="signaturePtoVendita" class='img-responsive' <?php echo ($this->duvri->signaturePtoVendita ? "src='" . $this->duvri->signaturePtoVendita . "'" : "" ) ?>>
                                                        <input type='hidden' name='signaturePtoVendita' value='<?php echo $this->duvri->signaturePtoVendita ?>' class=''>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class='signature-container'>
                                            <div class="col-sm-3">
                                                <b>Impresa n. 1:</b><br>
                                                <?php if (!$this->duvri->signature1) { ?>
                                                    <a class="openSignature" data-signatureName="signature1" href="javascript:void(0);">FIRMA LAVORO / IMPRESA #1</a>
                                                <?php } ?>
                                                <img id="signature1" <?php echo ($this->duvri->signature1 ? "src='{$this->duvri->signature1}'" : "") ?> class="img-responsive">
                                                <input type='hidden' name="signature1" value="<?php echo $this->duvri->signature1 ?>">
                                            </div>
                                            <?php if ($this->duvri->signature2) { ?>
                                                <div class="col-sm-3">
                                                    <b>Impresa n. 2:</b><br>
                                                    <img id="signature2" src="<?php echo $this->duvri->signature2 ?>" class="img-responsive">
                                                    <input type='hidden' name="signature2" value="<?php echo $this->duvri->signature2 ?>">
                                                </div>
                                            <?php } ?>
                                            <?php if ($this->duvri->signature3) { ?>
                                                <div class="col-sm-3">
                                                    <b>Impresa n. 3:</b><br>
                                                    <img id="signature3" src="<?php echo $this->duvri->signature3 ?>" class="img-responsive">
                                                    <input type='hidden' name="signature3" value="<?php echo $this->duvri->signature3 ?>">
                                                </div>
                                            <?php } ?>
                                            <?php if ($this->duvri->signature4) { ?>
                                                <div class="col-sm-3">
                                                    <b>Impresa n. 4:</b><br>
                                                    <img id="signature4" src="<?php echo $this->duvri->signature4 ?>" class="img-responsive">
                                                    <input type='hidden' name="signature4" value="<?php echo $this->duvri->signature4 ?>">
                                                </div>
                                            <?php } ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <hr class="divider">
                    <div class="row">
                        <div class="clearfix col-sm-12">
                            <div class="field">
                                <small>Modulo in 5 copie chimiche - Una copia per il Gestore - una per l'Impresa in assenza di interferenza - una per ogni impresa se vi sono interferenze.</small>
                            </div>
                        </div>
                    </div>
                    <hr class="divider">
                    <div class='row'>
                        <div class="col-sm-12 text-right">
                            <span class="btn-group">
                                <?php if ($this->duvri->id) { ?>
                                    <a class='btn btn-success' target='_blank' href="<?php echo JRoute::_("index.php?option=com_osma&task=chiusura.visualizzaPDFduvri&format=raw&id={$this->duvri->id}") ?>"><i class='icon-download'></i> Scarica PDF</a>
                                <?php } ?>
                                <a class='btn btn-success save' href="javascript:void(0);"><i class='icon-save'></i> Salva</a>
                            </span>
                        </div>
                    </div>

                    <input type="hidden" name="idDuvri" value="<?php echo $this->duvri->id ?>"/>
                    <input type="hidden" name="idChiamata" value="<?php echo JRequest::getVar("idChiamata") ?>"/>
                    <input type="hidden" name="idIntervento" value="<?php echo $this->info->idIntervento ?>"/>
                    <?php echo JHtml::_('form.token'); ?>
            </form>
        </div>
    </div>
    <div id="registro" class="tab-pane fade">
        <?php

        if ($this->info->idCompagnia == 7) {
            if ($this->info->tipo == 2) {
                if (file_exists(dirname(__FILE__) . "/duvri-eni-extra.php")) {
                    include dirname(__FILE__) . "/duvri-eni-extra.php";
                }
            } else {
                if (file_exists(dirname(__FILE__) . "/duvri-eni-std.php")) {
                    include dirname(__FILE__) . "/duvri-eni-std.php";
                }
            }
        } else {
            if (file_exists(dirname(__FILE__) . "/duvri-std.php")) {
                include dirname(__FILE__) . "/duvri-std.php";
            }
        }
        ?>
    </div>
</div>

<div class="modal fade in" id="new-signature" style="display: none; padding-left: 0px;">
    <div class="modal-dialog modal-lg modal-signature">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h3 class="modal-title">
                    <b>FIRMA</b>
                </h3>
            </div>
            <div class="modal-body">
                <div class="sig-container">
                    <div id="signature" class='clearfix'></div>
                </div>
                <div class="text-muted text-center clearfix small">
                    Effettuare la firma tramite il mouse o il touchscreen se disponibile.
                </div>
                <input type="hidden" id="signatureName" />
            </div>
            <div class="modal-footer">
                <div class="row">
                    <div class="col-sm-12 text-right">
                        <span class="btn-group">
                            <a class="btn btn-success" id="confirmSignature" href="javascript:void(0);"><i class="fa fa-check-circle"></i> conferma</a>
                            <a class="btn btn-default" data-dismiss="modal" href="javascript:void(0);"><i class="fa fa-undo"></i> annulla</a>
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<style>
    .rag-soc-imprese input + input {margin-top: 10px}
    #signature {
        padding: 0 0 0 0;
        margin: 0 0 0 0;
        width: 100%;
        height: 100%;
    }
</style>
<script type="text/javascript">
    jQuery(document).ready(function ($) {
        $("#inizioLavoriGroup").datetimepicker({format: 'DD/MM/YYYY'});
        $("#dataContrattoGroup").datetimepicker({format: 'DD/MM/YYYY'});
        $("#fineLavoriGroup").datetimepicker({format: 'DD/MM/YYYY'});
        $("#dataRevisioneGroup").datetimepicker({format: 'DD/MM/YYYY'});
        $("#dataInterventoGroup").datetimepicker({format: 'DD/MM/YYYY'});

        if (window.location.hash === '#registro') {
            $("ul.nav [href='#registro']").trigger("click");
        }

        $("#new-signature").on("shown.bs.modal", function (e) {
            e.stopImmediatePropagation();
            e.stopPropagation();
            if ($("#signature").size() > 0) {
                $("#signature").remove();
            }
            $("#signature").resize();
            $jsign = $("<div id='signature'/>");
            $jsign.appendTo($(".sig-container"));
            $jsign.jSignature();
            $jsign.jSignature("reset");
        });

        $(document).on('click', '.openSignature', function () {
            $("#new-signature").modal();
            $('#signatureName').val($(this).attr('data-signatureName'));
        });

        $(document).on('click', '#confirmSignature', function () {
            var signature = $('#signature').jSignature('getData', 'image');
            $('#' + $('#signatureName').val() + ", ." + $('#signatureName').val()).attr('src', "data:" + signature[0] + "," + signature[1]);

            $("input[name='" + $('#signatureName').val() + "']").val("data:" + signature[0] + "," + signature[1]);
            $('#signature').jSignature("reset");
            $("#new-signature").modal('hide');
        });

        $(document).on('click', '[name=tipo]', function () {
            if ($(this).val() != 1) {
                $("[name=rischio], [name=precauzioni], #signature1, #signature2, #signature3, #signature4").addClass("required");
                $(".campo3, .campo4").slideDown();
                if ($(this).val() == 3) {
                    $(".camporag").slideDown();
                } else {
                    $(".camporag").slideUp();
                }
            } else {
                $("[name=rischio], [name=precauzioni], #signature1, #signature2, #signature3, #signature4").removeClass("required");
                $(".campo3, .campo4, .camporag").slideUp();
            }
        });

        $(document).on('click', '[name=rischio]', function () {
            $("[name=altreRischio]").removeClass("required invalid");
            if ($(this).val() == 5) {
                $("[name=altreRischio]").addClass("required");
            }
        });

        $(document).on('click', '[name=precauzioni]', function () {
            $("[name=altrePrecauzioni]").removeClass("required invalid");
            if ($(this).val() == 4) {
                $("[name=altrePrecauzioni]").addClass("required");
            }
        });

        $(document).on('click', '.add-impresa', function () {
            var __index = $('.rag-soc-imprese').find("input[name='ragionisociali[]']").size() + 2;

            $('.rag-soc-imprese').append("<input type='text' name='ragionisociali[]' placeholder='Inserisci il lavoro o l&#039;impresa #" + __index + "' />");
            var __html = "<div class=\"col-sm-3\">"
                    + "<b>Impresa n. " + __index + ":</b><br>"
                    + "<a class=\"openSignature\" data-signatureName=\"signature" + __index + "\" href=\"javascript:void(0);\">FIRMA LAVORO / IMPRESA #" + __index + "</a>"
                    + "<img id=\"signature" + __index + "\" class='img-responsive'>"
                    + "<input type='hidden' name='signature" + __index + "' value='' class=''>"
                    + "</div>";

            $(".signature-container").append(__html);

            if (__index == 4) {
                $(this).remove();
            }
        });

        $(document).on('click', 'form[name=chiusuraForm] .save', function () {
            var __data = $("form[name=chiusuraForm]").serialize();

            $.ajax({
                url: "<?php echo JUri::root() ?>index.php?option=com_osma&task=chiusura.salvaChiusura&format=raw",
                method: 'POST',
                data: __data
            }).done(function (data) {
                data = JSON.parse(data);
                if (!data.response) {
                    console.log(data.message);
                }
                eval(data.script);
            });

            return false;
        });

        $(document).on("change", '[name=statoIntervento]', function (e) {
            if ($(this).val() === 2) {
                $(".cambio-stato-wrapper").removeClass("hidden");
                if ($.trim($("[name=noteCambioStato]").val()) == "") {
                    $("#close-intervento .chiudi-intervento").addClass("disabled");
                }
            } else {
                $("#close-intervento .chiudi-intervento").removeClass("disabled");
                $(".cambio-stato-wrapper").addClass("hidden");
            }
            return false;
        });

        $(document).on("change", '[name=noteCambioStato]', function (e) {
            if ($.trim($(this).val()) != "") {
                $("#close-intervento .chiudi-intervento").removeClass("disabled");
            }
            return false;
        });
    });

    jQuery(function ($) {
        $(document).on("change", "[name='rimozionePiombi']", function () {
            if ($(this).val() === "1") {
                $(".checkRimozionePiombi").removeClass("hidden");
            } else {
                $(".checkRimozionePiombi").addClass("hidden");
            }
        });

        window.ignoresetting = false;
        $("#registro").find("input, textarea, select").on("change", function () {
            if (!window.ignoresetting) {
                $(window).bind('beforeunload', function () {
                    alert("ATTENZIONE: Alcune modifiche potrebbero non essere state salvate. Continuare?");
                });
                $(document).on("click", "#registro .scarica-pdf", function (e) {
                    if (!confirm("ATTENZIONE: Alcune modifiche potrebbero non essere state salvate e il PDF potrebbe essere divero. Continuare?")) {
                        e.preventDefault();
                        return false;
                    }
                });
                window.ignoresetting = true;
            }
        });
    });
</script>
