<?php
if ($this->team) {
    foreach ($this->team as $name) {
        $team[] = $name->name;
    }
}

if ($this->rapporto->oraI) {
    $hi = date("H", strtotime($this->rapporto->oraI));
    $mi = date("i", strtotime($this->rapporto->oraI));
} else {
    $hi = date("H");
    $mi = floor(date("i") / 15) * 15;
}

if ($this->rapporto->oraF) {
    $hf = date("H", strtotime($this->rapporto->oraF));
    $mf = date("i", strtotime($this->rapporto->oraF));
} else {
    $hf = date("H", strtotime("+ 30 minutes"));
    $mf = floor(date("i", strtotime("+ 30 minutes")) / 15) * 15;
}

?>

<form class='registro' name='rapporto'>
    <div class='row bd'>
        <div class='col-sm-5 col-xs-12 pd-top-bottom bd-right'>
            <p><b>Bandiera</b></p>
            <p class='pre-compiled'><?php echo $this->gestore->NCompagnia ?> - <?php echo $this->gestore->nrPuntoVendita ?></p>
            <p><b>Gestore:</b></p>
            <p class='pre-compiled'><?php echo $this->gestore->ragioneSociale ?></p>
            <p><b>Località P.V.:</b></p>
            <p class='pre-compiled'><?php echo $this->gestore->comune ?> (<?php echo $this->gestore->provincia ?>)</p>
            <p><b>Indirizzo:</b></p>
            <p class='pre-compiled'><?php echo $this->gestore->indirizzo ?></p>
        </div>
        <div class='col-sm-7 col-xs-12'>
            <div class='row'>
                <div class='col-sm-6 center'>
                    <div class='row'>
                        <p class='leader'>Data chiamata</p>
                        <span class='pre-compiled'><?php echo date("d/m/Y", strtotime($this->info->dataApertura)) ?></span>
                        <p class='leader bd-top'>Data intervento</p>
                        <div class='input-group dataInterventoGroup' id="dataInterventoGroup">
                            <input type='text' class=" required" id='dataIntervento' name="dataIntervento" value="<?php echo ($this->rapporto && strtotime($this->rapporto->dataIntervento) > 0 ? date("d/m/Y", strtotime($this->rapporto->dataIntervento)) : date("d/m/Y")) ?>"/>
                            <span class="input-group-addon">
                                <span class="glyphicon glyphicon-calendar"></span>
                            </span>
                        </div>
                    </div>
                </div>
                <div class='col-sm-6 center bd-left'>
                    <div class='row'>
                        <p class='leader'>Rif. Nr. Chiamata</p>
                        <span class='pre-compiled'><?php echo $this->info->nrChiamata . ($this->info->nrChiamataCompagnia ? " - " . $this->info->nrChiamataCompagnia : "") ?></span>
                        <div class='center bd-top'>
                            <div class='col-sm-6'>
                                <div class='row'>
                                    <p class=''>Ora inizio</p>
                                    <div class='col-sm-6'>
                                        <select name='orai'>
                                            <?php for ($i = 1; $i < 24; $i++) { ?>
                                                <option value='<?php echo $i ?>' <?php echo ($i == $hi ? "selected='selected'" : "") ?>><?php echo str_pad($i, 2, '0', STR_PAD_LEFT) ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class='col-sm-6'>
                                        <select name='minutoi'>
                                            <?php for ($i = 0; $i < 60; $i += 15) { ?>
                                                <option value='<?php echo $i ?>' <?php echo ($i == $mi ? "selected='selected'" : "") ?>><?php echo str_pad($i, 2, '0', STR_PAD_LEFT) ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class='col-sm-6'>
                                <div class='row'>
                                    <p class=''>Ora fine</p>
                                    <div class='col-sm-6'>
                                        <select name='oraf'>
                                            <?php for ($i = 1; $i < 24; $i++) { ?>
                                                <option value='<?php echo $i ?>' <?php echo ($i == $hf ? "selected='selected'" : "") ?>><?php echo str_pad($i, 2, '0', STR_PAD_LEFT) ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class='col-sm-6'>
                                        <select name='minutof'>
                                            <?php for ($i = 0; $i < 60; $i += 15) { ?>
                                                <option value='<?php echo $i ?>' <?php echo ($i == $mf ? "selected='selected'" : "") ?>><?php echo str_pad($i, 2, '0', STR_PAD_LEFT) ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class='col-sm-12 center pd-top-bottom bd-top'>
                    <p class='leader'>
                        Tipo intervento:
                        <select name='tipoIntervento' disabled='disabled' readonly='readonly'>
                            <option value='1' <?php echo (!$this->rapporto && $this->info->tipo == 1 ? "selected='selected'" : ($this->rapporto->tipoIntervento == 1 ? 'selected="selected"' : "")) ?>>Forfait</option>
                            <option value='2' <?php echo (!$this->rapporto && $this->info->tipo == 2 ? "selected='selected'" : ($this->rapporto->tipoIntervento == 2 ? 'selected="selected"' : "")) ?>>Ex. Forfait</option>
                            <option value='3' <?php echo (!$this->rapporto && $this->info->tipo == 3 ? "selected='selected'" : ($this->rapporto->tipoIntervento == 3 ? 'selected="selected"' : "")) ?>>Programmato</option>
                            <option value='4' <?php echo (!$this->rapporto && $this->info->tipo == 4 ? "selected='selected'" : ($this->rapporto->tipoIntervento == 4 ? 'selected="selected"' : "")) ?>>Giroluci</option>
                        </select>
                    </p>
                </div>
                <div class='col-sm-12 bd-top center'>
                    <p class='leader'>Operatori</p>
                    <span class='pre-compiled '><?php echo implode(", ", $team) ?></span>
                </div>
            </div>
        </div>
    </div>

    <div class='row mg-top'>
        <div class="panel panel-default">
            <div class="panel-heading ">
                <div class="row">
                    <h3 class="panel-title col-sm-6">Descrizione intervento</h3>
                </div>
            </div>
            <div class="panel-body">
                <textarea name='descrizione' style='height: 150px'><?php echo ($this->rapporto->descrizione) ?></textarea>
            </div>
        </div>
    </div>

    <div class='row'>
        <div class="panel panel-default">
            <div class="panel-heading ">
                <div class="row">
                    <h3 class="panel-title col-sm-6">Interventi su distributore</h3>
                    <div class="text-right col-sm-6">
                        <span class="fa fa-2x fa-plus pointer" data-toggle="collapse" data-target="#collapse-distributori"></span>
                    </div>
                </div>
            </div>
            <div class="panel-body collapse" id="collapse-distributori">
                <div class='pt-field-container this-field-container mg-bottom clearfix'>
                    <?php if ($this->rapporto->distributori) { ?>
                        <?php $count = 0; ?>
                        <?php foreach ($this->rapporto->distributori as $dis) { ?>
                            <div class="col-sm-12 pd-top-bottom bd pt-field this-field">
                                <div class="row" style='display: flex; flex-wrap: wrap;'>
                                    <div class="col-sm-3">
                                        <div>
                                            <label>Matricola distributore:</label>
                                            <select name='pt[<?php echo $count ?>][matricola]' class='matricole-pistole chosen-select'>
                                                <option value='' selected>- SELEZIONA -</option>
                                                <?php foreach ($this->matricole as $mat) { ?>
                                                    <?php
                                                    if ($mat->idPistola == $dis->idMatricola) {
                                                        $dis->ppProd = $mat->prodottoErogato;
                                                        $dis->ppMarca = $mat->marca;
                                                        $dis->ppModello = $mat->modello;
                                                        $dis->ppMatr = $mat->matricolaRV;
                                                        $dis->ppNorm = $mat->normativa;
                                                    }
                                                    ?>
                                                    <option value='<?php echo $mat->idPistola ?>' data-prod='<?php echo ($mat->prodottoErogato) ?>' data-matricola='<?php echo ($mat->nrMatricola) ?>' data-modello='<?php echo ($mat->modello) ?>' data-normativa='<?php echo ($mat->normativa) ?>' data-marca='<?php echo ($mat->marca) ?>' <?php echo ($mat->idPistola == $dis->idMatricola ? "selected='selected'" : "") ?>><?php echo $mat->matricolaPistola ?></option>
                                                <?php } ?>
                                            </select>
                                        </div>
                                        <div class="bd-top mg-top pd-top">
                                            <label>Prod:</label>
                                            <p class='prod pre-compiled'><?php echo $dis->ppProd ?></p>
                                            <label>Marca:</label>
                                            <p class='marca pre-compiled'><?php echo $dis->ppMarca ?></p>
                                            <label>Modello:</label>
                                            <p class='modello pre-compiled'><?php echo $dis->ppModello ?></p>
                                            <label>Normativa:</label>
                                            <p class='normativa pre-compiled'><?php echo $dis->ppNorm ?></p>
                                        </div>
                                    </div>
                                    <div class="col-sm-2 bd-left">
                                        <div>
                                            <h5>Lettura distributore</h5>
                                            <input type='text' name='pt[<?php echo $count ?>][lprima]' value='<?php echo $dis->letturePrima ?>' placeholder='Prima' class='mg-top pt-lprima'>
                                            <input type='text' name='pt[<?php echo $count ?>][ldopo]' value='<?php echo $dis->lettureDopo ?>' placeholder='Dopo' class='mg-top-bottom pt-ldopo'>
                                            <label>Scatti a vuoto:</label>
                                            <p class='pt-lscatti pre-compiled'><?php echo ($dis->lettureDopo - $dis->letturePrima) ?></p>
                                        </div>
                                    </div>
                                    <div class="col-sm-3 bd-right-left">
                                        <div>
                                            <h5>Piombi rimossi</h5>
                                            <label class='inline'>Si</label> <input type='radio' class='piombi-alert' name='pt[<?php echo $count ?>][piombi]' value='1' <?php echo ($dis->piombi == 1 ? "checked='checked'" : "") ?>>
                                            <label class='inline'>No</label> <input type='radio' class='piombi-alert' name='pt[<?php echo $count ?>][piombi]' value='0' <?php echo ($dis->piombi === '0' ? "checked='checked'" : "") ?>>
                                        </div>
                                        <div class="mg-top pd-top bd-top">
                                            <h5>Taratura misuratori</h5>
                                            <label class='inline'>Si</label> <input type='radio' name='pt[<?php echo $count ?>][taratura]' value='1' <?php echo ($dis->taratura == 1 ? "checked='checked'" : "") ?>>
                                            <label class='inline'>No</label> <input type='radio' name='pt[<?php echo $count ?>][taratura]' value='0' <?php echo ($dis->taratura === '0' ? "checked='checked'" : "") ?>>
                                        </div>
                                        <div class="mg-top pd-top bd-top">
                                            <h5>Scostamento x1000</h5>
                                            <select name='pt[<?php echo $count ?>][scostamento]'>
                                                <option value='' <?php echo (!$dis->scostamento ? "selected='selected'" : "") ?>></option>
                                                <?php for ($x = -5; $x < 5.5; $x += 0.5) { ?>
                                                    <option value='<?php echo $x ?>' <?php echo ($dis->scostamento == $x ? "selected='selected'" : "") ?>><?php echo $x ?></option>
                                                <?php } ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-sm-2 bd-right">
                                        <label>Matricola pompa:</label>
                                        <p class='matricola pre-compiled'><?php echo $dis->ppMatr ?></p>
                                        <input type='text' name='pt[<?php echo $count ?>][v]' placeholder="V" class='mg-top pt-v' value='<?php echo $dis->v ?>'>
                                        <input type='text' name='pt[<?php echo $count ?>][l]' placeholder="L" class='mg-top-bottom pt-l' value='<?php echo $dis->l ?>'>
                                        <label>V/L:</label>
                                        <p class='pt-lv pre-compiled'><?php echo round($dis->v / $dis->l, 2) ?></p>
                                    </div>
                                    <div class="col-sm-2">
                                        <label>Descrizione:</label>
                                        <textarea name='pt[<?php echo $count ?>][descrizione]'><?php echo $dis->descrizione ?></textarea>
                                    </div>
                                    <div class='col-sm-12 mg-top <?php echo!$dis->piombi ? "hidden" : null ?> dichiarazione-fields'>
                                        <div class='bd-top pd-top'>
                                            <div class='row' style="display: flex; align-items: center; flex-wrap: wrap;">
                                                <div class='col-sm-2'>
                                                    <label>Sigilli asportati</label>
                                                    <input type='number' min='0' step='1' name='pt[<?php echo $count ?>][sA]' placeholder="" class='sigilli-asportati mg-top' value='<?php echo $dis->sA ?>'>
                                                </div>
                                                <div class='col-sm-2'>
                                                    <label>Sigilli provvisori applicati</label>
                                                    <input type='number' min='0' step='1' name='pt[<?php echo $count ?>][sPA]' placeholder="" class='sigilli-provviori-applicati mg-top' value='<?php echo $dis->sPA ?>'>
                                                </div>
                                                <div class='col-sm-4'>
                                                    <label>A protezione di:</label>
                                                    <input type='text' name='pt[<?php echo $count ?>][aP]' placeholder="" class='protezione mg-top' value='<?php echo htmlentities($dis->aP, ENT_QUOTES) ?>'>
                                                </div>

                                                <div class='col-sm-4 text-right'>
                                                    <a href="javascript:void(0);" class="<?php echo $this->get_libretto($dis->idMatricola) ? "hidden" : null ?> genera-libretto">Genera libretto metrologico</a>
                                                    <a href="<?php echo JRoute::_("index.php?option=com_osma&task=chiusura.visualizzaLibretto&format=raw&idLibretto=" . $this->get_libretto($dis->idMatricola)) ?>" target="_blank" class="<?php echo!$this->get_libretto($dis->idMatricola) ? "hidden" : null ?> visualizza-libretto">Visualizza libretto metrologico</a>
                                                    <span class="fa fa-spin fa-gear fa-fw hidden" style="font-size: 1.5em;"></span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class='col-sm-12 text-right pd-top mg-top bd-top'>
                                        <span class="btn btn-sm btn-danger remove-row"><i class="fa fa-times"></i> Rimuovi</span>
                                    </div>
                                </div>
                            </div>
                            <?php
                            $count++;
                        }
                        ?>
                    <?php } elseif (!$this->rapporto->distributori) { ?>
                        <div class="col-sm-12 pd-top-bottom bd pt-field this-field">
                            <div class="row" style='display: flex; flex-wrap: wrap;'>
                                <div class="col-sm-3">
                                    <div>
                                        <label>Matricola distributore:</label>
                                        <select name='pt[0][matricola]' class='matricole-pistole chosen-select'>
                                            <option value='' selected>- SELEZIONA -</option>
                                            <?php foreach ($this->matricole as $mat) { ?>
                                                <option value='<?php echo $mat->idPistola ?>' data-prod='<?php echo ($mat->prodottoErogato) ?>' data-matricola='<?php echo ($mat->nrMatricola) ?>' data-modello='<?php echo ($mat->modello) ?>' data-normativa='<?php echo ($mat->normativa) ?>' data-marca='<?php echo ($mat->marca) ?>'><?php echo $mat->matricolaPistola ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="bd-top mg-top pd-top">
                                        <label>Prod:</label>
                                        <p class='prod pre-compiled'>&nbsp;</p>
                                        <label>Marca:</label>
                                        <p class='marca pre-compiled'>&nbsp;</p>
                                        <label>Modello:</label>
                                        <p class='modello pre-compiled'>&nbsp;</p>
                                        <label>Normativa:</label>
                                        <p class='normativa pre-compiled'>&nbsp;</p>
                                    </div>
                                </div>
                                <div class="col-sm-2 bd-left">
                                    <div>
                                        <h5>Lettura distributore</h5>
                                        <input type='text' name='pt[0][lprima]' placeholder='Prima' class='mg-top pt-lprima'>
                                        <input type='text' name='pt[0][ldopo]' placeholder='Dopo' class='mg-top-bottom pt-ldopo'>
                                        <label>Scatti a vuoto:</label>
                                        <p class='pt-lscatti pre-compiled'>&nbsp;</p>
                                    </div>
                                </div>
                                <div class="col-sm-3 bd-right-left">
                                    <div>
                                        <h5>Piombi rimossi</h5>
                                        <label class='inline'>Si</label> <input type='radio' class='piombi-alert' name='pt[0][piombi]' value='1'>
                                        <label class='inline'>No</label> <input type='radio' class='piombi-alert' name='pt[0][piombi]' value='0' checked='checked'>
                                    </div>
                                    <div class="mg-top pd-top bd-top">
                                        <h5>Taratura misuratori</h5>
                                        <label class='inline'>Si</label> <input type='radio' name='pt[0][taratura]' value='1'>
                                        <label class='inline'>No</label> <input type='radio' name='pt[0][taratura]' value='0' checked='checked'>
                                    </div>
                                    <div class="mg-top pd-top bd-top">
                                        <h5>Scostamento x1000</h5>
                                        <select name='pt[0][scostamento]'>
                                            <option value='' selected></option>
                                            <?php for ($x = -5; $x < 5.5; $x += 0.5) { ?>
                                                <option value='<?php echo $x ?>'><?php echo $x ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-sm-2 bd-right">
                                    <label>Matricola pompa:</label>
                                    <p class='matricola pre-compiled'>&nbsp;</p>
                                    <input type='text' name='pt[0][v]' placeholder="V" class='mg-top pt-v'>
                                    <input type='text' name='pt[0][l]' placeholder="L" class='mg-top-bottom pt-l'>
                                    <label>V/L:</label>
                                    <p class='pt-lv pre-compiled'>&nbsp;</p>
                                </div>
                                <div class="col-sm-2">
                                    <label>Descrizione:</label>
                                    <textarea name='pt[0][descrizione]'></textarea>
                                </div>
                            </div>
                            <div class='col-sm-12 mg-top hidden dichiarazione-fields'>
                                <div class='bd-top pd-top row'>
                                    <div class='row' style="display: flex; align-items: center; flex-wrap: wrap;">
                                        <div class='col-sm-2'>
                                            <label>Sigilli asportati</label>
                                            <input type='number' min='0' step='1' name='pt[0][sA]' placeholder="" class='sigilli-asportati mg-top' value=''>
                                        </div>
                                        <div class='col-sm-2'>
                                            <label>Sigilli provvisori applicati</label>
                                            <input type='number' min='0' step='1' name='pt[0][sPA]' placeholder="" class='sigilli-provvisori-applicati mg-top' value=''>
                                        </div>
                                        <div class='col-sm-4'>
                                            <label>A protezione di:</label>
                                            <input type='text' name='pt[0][aP]' placeholder="" class='protezione mg-top' value=''>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class='clearfix text-right pd-top mg-top bd-top'>
                                <span class="btn btn-sm btn-danger remove-row"><i class="fa fa-times"></i> Rimuovi</span>
                            </div>
                        </div>
                    <?php } ?>
                </div>

                <div class="row mg-top">
                    <div class="col-sm-8">
                    </div>
                    <div class="col-sm-4">
                        <span class="btn btn-success btn-sm add-row-distributori pull-right"><i class="fa fa-plus"></i> Aggiungi riga</span>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class='row'>
        <div class="panel panel-default">
            <div class="panel-heading ">
                <div class="row">
                    <h3 class="panel-title col-sm-6">Computer gestionali</h3>
                    <div class="text-right col-sm-6">
                        <span class="fa fa-2x fa-plus pointer" data-toggle="collapse" data-target="#collapse-computer"></span>
                    </div>
                </div>
            </div>
            <div class="panel-body collapse" id="collapse-computer">
                <div class='cc-field-container this-field-container mg-bottom clearfix'>
                    <?php if ($this->rapporto && $this->rapporto->pagamenti) { ?>
                        <?php
                        $countpp = 0;
                        foreach ($this->rapporto->pagamenti as $dis) {
                            if ($dis->postPagamento) {
                                continue;
                            }
                            $countpp++;
                            ?>
                            <div class="col-sm-6 pd-top-bottom bd cc-field this-field">
                                <div class="row">
                                    <div class="col-sm-6 bd-right">
                                        <div>
                                            <label>Matricola:</label>
                                            <select name='cc[<?php echo $countpp ?>][matricola]' class='matricole-computer chosen-select'>
                                                <option value=''>- SELEZIONA -</option>
                                                <?php foreach ($this->matricoleCC as $mat) { ?>
                                                    <?php
                                                    if ($mat->idMatricola == $dis->idMatricola) {
                                                        $dis->ppMarca = $mat->marca;
                                                        $dis->ppModello = $mat->modello;
                                                    }
                                                    ?>
                                                    <option value='<?php echo $mat->idMatricola ?>' <?php echo ($mat->idMatricola == $dis->idMatricola ? "selected='selected'" : "") ?>><?php echo $mat->nrMatricola ?></option>
                                                <?php } ?>
                                            </select>
                                        </div>
                                        <div class="bd-top mg-top pd-top">
                                            <label>Modello:</label>
                                            <p class='modello pre-compiled'><?php echo $dis->ppModello ?></p>
                                            <label>Marca:</label>
                                            <p class='marca pre-compiled'><?php echo $dis->ppMarca ?></p>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div>
                                            <h5>Piombi rimossi</h5>
                                            <label class='inline'>Si</label> <input type='radio' name='cc[<?php echo $countpp ?>][piombi]' value='1' <?php echo ($dis->piombi == 1 ? "checked='checked'" : "") ?>>
                                            <label class='inline'>No</label> <input type='radio' name='cc[<?php echo $countpp ?>][piombi]' value='0' <?php echo ($dis->piombi === '0' ? "checked='checked'" : "") ?>>
                                        </div>
                                    </div>
                                    <div class='col-sm-12 text-right pd-top mg-top bd-top'>
                                        <span class="btn btn-sm btn-danger remove-row"><i class="fa fa-times"></i> Rimuovi</span>
                                    </div>
                                </div>
                            </div>
                        <?php } ?>
                    <?php } ?>
                    <?php if (!$this->rapporto || !$countpp) { ?>
                        <div class="col-sm-6 pd-top-bottom bd cc-field this-field">
                            <div class="row">
                                <div class="col-sm-6 bd-right">
                                    <div>
                                        <label>Matricola:</label>
                                        <select name='cc[0][matricola]' class='matricole-computer chosen-select'>
                                            <option value='' selected>- SELEZIONA -</option>
                                            <?php foreach ($this->matricoleCC as $mat) { ?>
                                                <option value='<?php echo $mat->idMatricola ?>' data-prod='<?php echo ($mat->prodottoErogato) ?>' data-matricola='<?php echo ($mat->nrMatricola) ?>' data-modello='<?php echo ($mat->modello) ?>' data-marca='<?php echo ($mat->marca) ?>'><?php echo $mat->nrMatricola ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="bd-top mg-top pd-top">
                                        <label>Modello:</label>
                                        <p class='modello pre-compiled'>&nbsp;</p>
                                        <label>Marca:</label>
                                        <p class='marca pre-compiled'>&nbsp;</p>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div>
                                        <h5>Piombi rimossi</h5>
                                        <label class='inline'>Si</label> <input type='radio' name='cc[0][piombi]' value='1'>
                                        <label class='inline'>No</label> <input type='radio' name='cc[0][piombi]' value='0' checked="checked">
                                    </div>
                                </div>
                                <div class='col-sm-12 text-right pd-top mg-top bd-top'>
                                    <span class="btn btn-sm btn-danger remove-row"><i class="fa fa-times"></i> Rimuovi</span>
                                </div>
                            </div>
                        </div>
                    <?php } ?>
                </div>
                <div class="row mg-top">
                    <div class="col-sm-12">
                        <span class="btn btn-success btn-sm add-row-computer pull-right">
                            <i class="fa fa-plus"></i> Aggiungi riga
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class='row'>
        <div class="panel panel-default">
            <div class="panel-heading ">
                <div class="row">
                    <h3 class="panel-title col-sm-6">Self Service</h3>
                    <div class="text-right col-sm-6">
                        <span class="fa fa-2x fa-plus pointer" data-toggle="collapse" data-target="#collapse-self"></span>
                    </div>
                </div>
            </div>
            <div class="panel-body collapse" id="collapse-self">
                <div class='ss-field-container this-field-container mg-bottom clearfix'>
                     <?php if ($this->rapporto && $this->rapporto->pagamenti) { ?>
                        <?php
                        $countss = 0;
                        foreach ($this->rapporto->pagamenti as $dis) {
                            if (!$dis->postPagamento) {
                                continue;
                            }
                            $countss++;
                            ?>
                            <div class="col-sm-6 pd-top-bottom bd ss-field this-field">
                                <div class="row">
                                    <div class="col-sm-6 bd-right">
                                        <div>
                                            <label>Matricola:</label>
                                            <select name='ss[<?php echo $countss ?>][matricola]' class='matricole-ss chosen-select'>
                                                <option value=''>- SELEZIONA -</option>
                                                <?php foreach ($this->matricoleSS as $mat) { ?>
                                                    <?php
                                                    if ($mat->idMatricola == $dis->idMatricola) {
                                                        $dis->ppMarca = $mat->marca;
                                                        $dis->ppModello = $mat->modello;
                                                    }
                                                    ?>
                                                    <option value='<?php echo $mat->idMatricola ?>' <?php echo ($mat->idMatricola == $dis->idMatricola ? "selected='selected'" : "") ?>><?php echo $mat->nrMatricola ?></option>
                                                <?php } ?>
                                            </select>
                                        </div>
                                        <div class="bd-top mg-top pd-top">
                                            <label>Modello:</label>
                                            <p class='modello pre-compiled'><?php echo $dis->ppModello ?></p>
                                            <label>Marca:</label>
                                            <p class='marca pre-compiled'><?php echo $dis->ppMarca ?></p>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div>
                                            <h5>Piombi rimossi</h5>
                                            <label class='inline'>Si</label> <input type='radio' name='ss[<?php echo $countss ?>][piombi]' value='1' <?php echo ($dis->piombi == 1 ? "checked='checked'" : "") ?>>
                                            <label class='inline'>No</label> <input type='radio' name='ss[<?php echo $countss ?>][piombi]' value='0' <?php echo ($dis->piombi === '0' ? "checked='checked'" : "") ?>>
                                        </div>
                                    </div>
                                    <div class='col-sm-12 text-right pd-top mg-top bd-top'>
                                        <span class="btn btn-sm btn-danger remove-row"><i class="fa fa-times"></i> Rimuovi</span>
                                    </div>
                                </div>
                            </div>
                            <?php
                            $count++;
                        }
                        ?>
                    <?php } ?>
                    <?php if (!$this->rapporto || !$countss) { ?>
                        <div class="col-sm-6 pd-top-bottom bd ss-field this-field">
                            <div class="row">
                                <div class="col-sm-6 bd-right">
                                    <div>
                                        <label>Matricola:</label>
                                        <select name='ss[0][matricola]' class='matricole-ss chosen-select'>
                                            <option value='' selected>- SELEZIONA -</option>
                                            <?php foreach ($this->matricoleSS as $mat) { ?>
                                                <option value='<?php echo $mat->idMatricola ?>' data-matricola='<?php echo ($mat->nrMatricola) ?>' data-modello='<?php echo ($mat->modello) ?>' data-marca='<?php echo ($mat->marca) ?>'><?php echo $mat->nrMatricola ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="bd-top mg-top pd-top">
                                        <label>Modello:</label>
                                        <p class='modello pre-compiled'>&nbsp;</p>
                                        <label>Marca:</label>
                                        <p class='marca pre-compiled'>&nbsp;</p>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div>
                                        <h5>Piombi rimossi</h5>
                                        <label class='inline'>Si</label> <input type='radio' name='ss[0][piombi]' value='1'>
                                        <label class='inline'>No</label> <input type='radio' name='ss[0][piombi]' value='0' checked="checked">
                                    </div>
                                </div>
                                <div class='col-sm-12 text-right pd-top mg-top bd-top'>
                                    <span class="btn btn-sm btn-danger remove-row"><i class="fa fa-times"></i> Rimuovi</span>
                                </div>
                            </div>
                        </div>
                    <?php } ?>
                </div>
                <div class="row mg-top">
                    <div class="col-sm-12">
                        <span class="btn btn-success btn-sm add-row-ss pull-right">
                            <i class="fa fa-plus"></i> Aggiungi riga
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class='row'>
        <div class="panel panel-default">
            <div class="panel-heading ">
                <div class="row">
                    <h3 class="panel-title col-sm-6">Materiale impiegato</h3>
                    <div class="text-right col-sm-6">
                        <span class="fa fa-2x fa-plus pointer" data-toggle="collapse" data-target="#collapse-materiale"></span>
                    </div>
                </div>
            </div>
            <div class="panel-body collapse" id="collapse-materiale">
                <textarea name="materialeImpiegato"><?php echo $this->rapporto->materialeImpiegato ?></textarea>
            </div>
        </div>
    </div>
    <div class='row bd'>
        <div class="col-sm-4 pd bd-right">
            <p class=''>
                Il gestore dichiara di aver ricevuto il modulo di richiesta metrica da consegnare all'ufficio metrico di competenza entro i termini previsti dal regolamento vigente.
                <br>
                <br>
                <a class='openSignature' data-signatureName="firma1" href='javascript:void(0);'>FIRMA</a>
            </p>
            <img id="firma1" class='img-responsive' <?php echo ($this->rapporto->firma1 ? "src='{$this->rapporto->firma1}'" : "") ?>>
            <input type='hidden' name='firma1' value='<?php echo ($this->rapporto->firma1 ? $this->rapporto->firma1 : "") ?>' class=''>
        </div>
        <div class="col-sm-4 pd bd-right">
            <p class=''>
                DICHIARAZIONE: L'Appaltatore dichiara che i lavori sono stati eseguiti nel più ampio rispetto delle procedure e a perfetta regola d'arte.
                <br>
                <br>
                <a class='openSignature' data-signatureName="firma2" href='javascript:void(0);'>FIRMA</a>
            </p>
            <img id="firma2" class='img-responsive' <?php echo ($this->rapporto->firma2 ? "src='{$this->rapporto->firma2}'" : "") ?>>
            <input type='hidden' name='firma2' value='<?php echo ($this->rapporto->firma2 ? $this->rapporto->firma2 : "") ?>' class=''>
        </div>
        <div class="col-sm-4 pd">
            <p class=''>
                CONSEGNA: Il Gestore dichiara che i lavori sopra elencati sono stati eseguiti come descritto dall'Appaltatore.
                <span class='block'>
                    <label for='lavoriDESC1' class='inline'>SI</label> <input type='radio' name='dichiarazione1' id='lavoriDESC1' value='1' <?php echo (!$this->rapporto ? "checked='checked'" : $this->rapporto->dichiarazione1 ? "checked='checked'" : "") ?>>
                    <label for='lavoriDESC2' class='inline'>NO</label> <input type='radio' name='dichiarazione1' id='lavoriDESC2' value='0' <?php echo (!$this->rapporto ? "" : !$this->rapporto->dichiarazione1 ? "checked='checked'" : "") ?>>
                </span>
                <br>
            </p>
            <img id="firma1" class='img-responsive' <?php echo ($this->rapporto->firma3 ? "src='{$this->rapporto->firma3}'" : "") ?>>
            <input type='hidden' name='firma1' value='<?php echo ($this->rapporto->firma3 ? $this->rapporto->firma3 : "") ?>' class=''>
        </div>
    </div>

    <div class='row mg-top text-right'>
        <div class='btn-group'>

            <?php if ($this->rapporto->idRapporto) { ?>
                <a class='btn btn-success scarica-pdf' href="<?php echo JRoute::_("index.php?option=com_osma&task=chiusura.visualizzaPDFrapporto&format=raw&idRapporto={$this->rapporto->idRapporto}&idChiamata={$this->info->idChiamata}") ?>" target="_blank">
                    <i class="icon-download"></i> Scarica PDF
                </a>
            <?php } ?>
            <?php if ($this->rapporto->idRapporto && $this->rapporto->hasDichiarazione) { ?>
                <a class='btn btn-info dichiarazione-rapporto' href="<?php echo JRoute::_("index.php?option=com_osma&task=chiusura.dichiarazioneRiparazione&format=raw&idRapporto={$this->rapporto->idRapporto}&idChiamata={$this->info->idChiamata}") ?>" target="_blank">
                    <i class="fa fa-wrench"></i> Dichiarazione di riparazione
                </a>
            <?php } ?>
            <?php if($this->info->idIntervento):?>
                <?php if (osmaHelper::getChecklist($this->info->idIntervento)) { ?>

                    <a class='btn btn-info dichiarazione-rapporto' href="<?php echo JRoute::_("index.php?option=com_osma&task=chiusura.visualizzaChecklist&format=raw&idChecklist=" . osmaHelper::getChecklist($this->info->idIntervento)) ?>" target="_blank">
                        <i class="fa fa-wrench"></i> Visualizza checklist
                    </a>
                <?php } ?>
            <?php endif;?>
            <span class='btn btn-success salva-rapporto' data-loading-text="<i class='fa fa-spinner fa-spin '></i> Sto salvando. Attendere..."><i class="fa fa-save"></i> Salva rapporto</span>
            <?php if (!$this->info->statoIntervento) { ?>
                <span class='btn btn-success salva-chiudi' data-toggle="modal" data-target="#close-intervento"><i class="fa fa-save"></i> Salva rapporto e chiudi intervento</span>
            <?php } ?>
        </div>
    </div>

    <input type="hidden" name="idDuvri" value="<?php echo $this->duvri->id ?>"/>
    <input type="hidden" name="idChiamata" value="<?php echo $this->info->idChiamata ?>"/>
    <input type="hidden" name="idIntervento" value="<?php echo $this->info->idIntervento ?>"/>
    <input type="hidden" name="idRapporto" value="<?php echo $this->rapporto->idRapporto ?>"/>
    <input type="hidden" name="tipoRapporto" value="1"/>
    <?php echo JHtml::_('form.token'); ?>

    <div class="modal fade in" id="close-intervento" style="display: none; padding-left: 0px;">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h3 class="modal-title">
                        Vuoi chiudere questo intervento?
                    </h3>
                </div>
                <div class="modal-body">
                    <select name='statoIntervento' class="chosen" style="display: table; width: auto; margin-left: auto; margin-right: auto;">
                        <option value='0' selected='selected' disabled='disabled'>- SELEZIONA -</option>
                        <option value='1'>Chiudi intervento</option>
                        <option value='2'>Sospendi intervento</option>
                    </select>
                    <div class="cambio-stato-wrapper hidden">
                        <hr class="divider">
                        <textarea name='noteCambioStato' class='' placeholder="Note di cambio stato" style="height: 110px;"></textarea>
                    </div>
                    <hr class="divider">
                    <div style="margin-bottom: 0">
                        <div class='row'>
                            <div class='col-sm-7 col-xs-8'>
                                <b>Attenzione:</b> sono stati rimossi dei piombi?
                            </div>
                            <div class='col-sm-2 col-xs-2'>
                                <label for="rimozionePiombi1">
                                    <input type="radio" name="rimozionePiombi" id="rimozionePiombi1" value="1"> Si
                                </label>
                            </div>
                            <div class='col-sm-3 col-xs-2'>
                                <label for="rimozionePiombi0">
                                    <input type="radio" name="rimozionePiombi"  id="rimozionePiombi0" value="0" checked="checked"> No
                                </label>
                            </div>
                        </div>
                        <div class="hidden checkRimozionePiombi">
                            <p class="text-muted" style="margin-bottom: 0; margin-top: 15px;"><b>Nota:</b> cliccando su Conferma, dichiari che, nel caso di rimozione piombi, è stato compilato il modulo di rilegalizzazione.</p>
                            <hr class="divider">
                            <div style="margin-bottom: 0">
                                <div class='row'>
                                    <div class='col-sm-7 col-xs-8'>
                                        <b>Vuoi creare i libretti metrologico?</b>
                                    </div>
                                    <div class='col-sm-2 col-xs-2'>
                                        <label for="creazioneLibrettoMetrologico1">
                                            <input type="radio" name="librettoMetrologico" id="creazioneLibrettoMetrologico1" value="1" disabled="disabled"> Si
                                        </label>
                                    </div>
                                    <div class='col-sm-3 col-xs-2'>
                                        <label for="creazioneLibrettoMetrologico0">
                                            <input type="radio" name="librettoMetrologico"  id="creazioneLibrettoMetrologico0" value="0" disabled="disabled" checked="checked"> No
                                        </label>
                                    </div>
                                </div>
                                <div class="genera-libretti-wrapper row hidden"></div>
                            </div>
                        </div>
                    </div>
                    <hr class="divider">
                    <div style="margin-bottom: 0">
                        <div class='row'>
                            <div class='col-sm-7 col-xs-8'>
                                <b>Vuoi creare una checklist?</b>
                            </div>
                            <div class='col-sm-2 col-xs-2'>
                                <label for="creazioneCheckList1">
                                    <input type="radio" name="creazioneCheckList" id="creazioneCheckList1" value="1"> Si
                                </label>
                            </div>
                            <div class='col-sm-3 col-xs-2'>
                                <label for="creazioneCheckList0">
                                    <input type="radio" name="creazioneCheckList"  id="creazioneCheckList0" value="0" checked="checked"> No
                                </label>
                            </div>
                        </div>
                        <div class="crea-check-list row hidden" style='margin-top: 10px;'>
                            <hr class="divider" style='margin-left: 15px; margin-right: 15px;'>
                            <div class='clearfix'>
                                <div class='col-sm-12 col-xs-12'>
                                    <input type='text' name='checklist[matricolaD]' placeholder='N° matricola distributore di carburante'>
                                </div>
                                <div class='col-sm-12 col-xs-12' style='margin-top: 10px;'>
                                    <input type='text' name='checklist[matricolaSS]' placeholder='N° matricola SSD'>
                                </div>
                            </div>
                            <hr class="divider" style='margin-left: 15px; margin-right: 15px;'>
                            <div class='clearfix'>
                                <div class='col-sm-7'>
                                    <small>Il dispositivo per la riproduzione della quantità misurata e del prezzo (se calcolato) indica in maniera corretta quanto visualizzato nel display del distributore di carburante.</small>
                                </div>
                                <div class='col-sm-1 text-center'>
                                    <input type='checkbox' name='checklist[checks][1.1][check]' value='1' />
                                </div>
                                <div class='col-sm-4'>
                                    <textarea name='checklist[checks][1.1][note]' placeholder='Note'></textarea>
                                </div>
                            </div>
                            <hr class="divider" style='margin-left: 15px; margin-right: 15px;'>
                            <div class='clearfix'>
                                <div class='col-sm-7'>
                                    <small>È inibita la prenotazione di una nuova erogazione oppure è chiaramente segnalata al cliente l'indisponibilità della ricevuta in caso di assenza della stampante, di un suo guasto o di mancanza della carta nella stessa</small>
                                </div>
                                <div class='col-sm-1 text-center'>
                                    <input type='checkbox' name='checklist[checks][2.1][check]' value='1' />
                                </div>
                                <div class='col-sm-4'>
                                    <textarea name='checklist[checks][2.1][note]' placeholder='Note'></textarea>
                                </div>
                            </div>
                            <hr class="divider" style='margin-left: 15px; margin-right: 15px;'>
                            <div class='clearfix'>
                                <div class='col-sm-7'>
                                    <small>I dati visualizzati dal sistema di misura e lo scontrino di ricevuta a seguito di una erogazione effettuata con carta elettronica di pagamento sono corrispondenti.</small>
                                </div>
                                <div class='col-sm-1 text-center'>
                                    <input type='checkbox' name='checklist[checks][2.2][check]' value='1' />
                                </div>
                                <div class='col-sm-4'>
                                    <textarea name='checklist[checks][2.2][note]' placeholder='Note'></textarea>
                                </div>
                            </div>
                            <hr class="divider" style='margin-left: 15px; margin-right: 15px;'>
                            <div class='clearfix'>
                                <div class='col-sm-7'>
                                    <small>I dati dello scontrino di resto con quelli visualizzati dal sistema di misura nel caso di una erogazione incompleta o non iniziata prepagata con banconote sono congruenti.</small>
                                </div>
                                <div class='col-sm-1 text-center'>
                                    <input type='checkbox' name='checklist[checks][2.3][check]' value='1' />
                                </div>
                                <div class='col-sm-4'>
                                    <textarea name='checklist[checks][2.3][note]' placeholder='Note'></textarea>
                                </div>
                            </div>
                            <hr class="divider" style='margin-left: 15px; margin-right: 15px;'>
                            <div class='clearfix'>
                                <div class='col-sm-7'>
                                    <small>Nel caso di cambio del prezzo unitario nel corso dell'erogazione, l'importo è determinato dal prezzo unitario relativo al momento in cui l'erogazione ha avuto inizio.</small>
                                </div>
                                <div class='col-sm-1 text-center'>
                                    <input type='checkbox' name='checklist[checks][2.4][check]' value='1' />
                                </div>
                                <div class='col-sm-4'>
                                    <textarea name='checklist[checks][2.4][note]' placeholder='Note'></textarea>
                                </div>
                            </div>
                            <hr class="divider" style='margin-left: 15px; margin-right: 15px;'>
                            <div class='clearfix'>
                                <div class='col-sm-7'>
                                    <small>È previsto un tempo di attesa oltre il quale l'erogazione si conclude in modo automatico.</small>
                                </div>
                                <div class='col-sm-1 text-center'>
                                    <input type='checkbox' name='checklist[checks][2.5][check]' value='1' />
                                </div>
                                <div class='col-sm-4'>
                                    <textarea name='checklist[checks][2.5][note]' placeholder='Note'></textarea>
                                </div>
                            </div>
                            <hr class="divider" style='margin-left: 15px; margin-right: 15px;'>
                            <div class='clearfix'>
                                <div class='col-sm-7'>
                                    <small>L'intervento del dispositivo di minimo livello consente di terminare l'erogazione in corso e inibisce le successive.</small>
                                </div>
                                <div class='col-sm-1 text-center'>
                                    <input type='checkbox' name='checklist[checks][2.6][check]' value='1' />
                                </div>
                                <div class='col-sm-4'>
                                    <textarea name='checklist[checks][2.6][note]' placeholder='Note'></textarea>
                                </div>
                            </div>
                            <hr class="divider" style='margin-left: 15px; margin-right: 15px;'>
                            <div class='clearfix'>
                                <div class='col-sm-7'>
                                    <small>I dati degli eventi e delle prove effettuate sono stati registrati su supporto durevole.</small>
                                </div>
                                <div class='col-sm-1 text-center'>
                                    <input type='checkbox' name='checklist[checks][2.7][check]' value='1' />
                                </div>
                                <div class='col-sm-4'>
                                    <textarea name='checklist[checks][2.7][note]' placeholder='Note'></textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <div class="row">
                        <div class="col-sm-12 text-right">
                            <span class="btn-group">
                                <a class="btn btn-success chiudi-intervento disabled" data-loading-text="<i class='fa fa-spinner fa-spin '></i> Sto salvando. Attendere..."><i class="fa fa-check-circle"></i> Conferma</a>
                                <a type="button" class="btn btn-default" data-dismiss="modal" href="javascript:void(0);"><i class="fa fa-undo"></i> Annulla</a>
                            </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>
<?php if (!osmaHelper::getUserSignature()) { ?>

    <div class="modal fade in" id="operator-signature" style="display: none; padding-left: 0px;">
        <div class="modal-dialog modal-lg modal-signature">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h3 class="modal-title">
                        <b>FIRMA DEL MANUTENTORE <?php echo JFactory::getUser()->name ?></b>
                    </h3>
                </div>
                <div class="modal-body">
                    <div class="op-sig-container">
                        <div id="op-signature" class='clearfix'></div>
                    </div>
                    <div class="text-muted text-center clearfix small">
                        Effettuare la firma tramite il mouse o il touchscreen se disponibile.
                    </div>
                    <input type="hidden" name="OPsignatureName" />
                </div>
                <div class="modal-footer">
                    <div class="row">
                        <div class="col-sm-12 text-right">
                            <span class='btn-group'>
                                <a class="btn btn-success" id="confirmOPSignature" href="javascript:void(0);"><i class="fa fa-check-circle"></i> Salva firma</a>
                                <a class="btn btn-default" data-dismiss="modal" href="javascript:void(0);"><i class="fa fa-undo"></i> Annulla</a>
                            </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php } ?>
<script>
    jQuery(function ($) {

        $(".chosen").each(function () {
            var options = {
                no_results_text: "Nessun risultato",
                allow_single_deselect: true,
                width: "100%"
            };
            if ($(this).data("placeholder-text")) {
                options.placeholder_text_single = $(this).data("placeholder-text");
            }
            $(this).chosen(options);
        });

        $(document).on("change", "[name='rimozionePiombi']", function () {
            var hasPiombi = false;
            var html = "";
            $(".genera-libretti-wrapper").html("");
            $(".pt-field").each(function () {
                if ($(this).find(".matricole-pistole").val() && $(this).find(".piombi-alert:checked").val() == 1 && $(this).find(".matricole-pistole option:selected").data("normativa") === 'Nazionale') {
                    html += "<div class='col-sm-4'><label for='genereaLibretti_" + $(this).find(".matricole-pistole").val() + "'><input id='genereaLibretti_" + $(this).find(".matricole-pistole").val() + "' type='checkbox' name='generaLibretti[]' value='" + $(this).find(".matricole-pistole").val() + "'> " + $(this).find(".matricole-pistole option:selected").text() + "</label></div>";
                    hasPiombi = true;
                }
            });

            if (hasPiombi) {
                $(".genera-libretti-wrapper").append("<p style='margin-bottom: 5px; margin-top: 10px;' class='col-sm-12 text-muted'>Scegli le matricole a cui creare il libretto metrologico:</p>");
                $(".genera-libretti-wrapper").append(html);
                $("[name='librettoMetrologico']").removeAttr("disabled");
            }
        });

        $(document).on("change", "[name='librettoMetrologico']", function (e) {
            e.preventDefault();
            var $this = $(this);
            if ($this.val() == 1) {
                $(".genera-libretti-wrapper").removeClass("hidden");
            } else {
                $(".genera-libretti-wrapper").html("");
                $(".genera-libretti-wrapper").addClass("hidden");
            }
        });

        $(document).on("change", "[name='creazioneCheckList']", function (e) {
            e.preventDefault();
            var $this = $(this);
            if ($this.val() == 1) {
                $(".crea-check-list").removeClass("hidden");
            } else {
                $(".crea-check-list").addClass("hidden");
            }
        });

        $(document).on("click", ".pt-field .genera-libretto", function (e) {
            e.preventDefault();
            var $this = $(this);
            $this.addClass("hidden");
            $this.parent().find(".fa").removeClass("hidden");
            $.ajax({
                url: "index.php?option=com_osma&task=chiusura.generaLibretto&format=raw",
                method: "POST",
                data: {
                    idMatricola: $(this).parents(".this-field").find(".matricole-pistole").val(),
                    idIntervento: $("[name='idIntervento']").val(),
                    sigilliAsportarti: $(this).parents(".this-field").find(".sigilli-asportati").val(),
                    sigilliProvvisori: $(this).parents(".this-field").find(".sigilli-provvisori-applicati").val(),
                    protezione: $(this).parents(".this-field").find(".protezione").val()
                }
            }).done(function (response) {
                response = JSON.parse(response);
                if (response.success) {
                    $this.addClass("hidden");
                    $this.parent().find(".fa").addClass("hidden");

                }
            });
            return false;
        });

        var __rowdi = $(".pt-field").last().clone();
        $(__rowdi).find(".marca, .modello, .prod, .matricola, .pt-lv, .pt-lscatti, .normativa").html("&nbsp;");
        $(__rowdi).find("input[type=text], input[type=number], textarea, select").val("");
        $(__rowdi).find("option").removeAttr("selected");
        $(__rowdi).find(".piombi-alert[value=0]").attr("checked", "checked");
        $(__rowdi).find(".dichiarazione-fields").addClass("hidden");
        $(__rowdi).find(".dichiarazione-fields .genera-libretto").removeClass("hidden");
        $(__rowdi).find(".dichiarazione-fields .visualizza-libretto").addClass("hidden");
        var __rowcp = $(".cc-field").last().clone();
        $(__rowcp).find(".marca, .modello, .prod, .matricola, .pt-lv, .pt-lscatti").html("&nbsp;");
        $(__rowcp).find("input[type=text], textarea, select").val("");
        $(__rowcp).find("option").removeAttr("selected");
        var __rowss = $(".ss-field").last().clone();
        $(__rowss).find(".marca, .modello, .prod, .matricola, .pt-lv, .pt-lscatti").html("&nbsp;");
        $(__rowss).find("input[type=text], textarea, select").val("");
        $(__rowss).find("option").removeAttr("selected");

        $(document).on("change", "input.pt-lprima, input.pt-ldopo", function () {

            var l = $(this).parents(".this-field").find("input.pt-lprima").val();
            var v = $(this).parents(".this-field").find("input.pt-ldopo").val();

            if (l && v) {
                $(this).parents(".this-field").find(".pt-lscatti").text(parseFloat(v) - parseFloat(l));
            }
        });

        $(document).on("change", "input.pt-l, input.pt-v", function () {

            var l = $(this).parents(".this-field").find("input.pt-l").val();
            var v = $(this).parents(".this-field").find("input.pt-v").val();

            if (l && v) {
                $(this).parents(".this-field").find(".pt-lv").text(Math.round((parseFloat(v) / parseFloat(l)) * 100) / 100);
            }
        });

        $(".chosen-select").chosen({
            no_results_text: "Nessun risultato",
            placeholder_text_single: "Seleziona la matricola",
            width: "100%"
        });

        $(document).on("change", '.piombi-alert', function (e) {
            if ($(this).val() == 1 && confirm('È stato compilato il modulo della rilegalizzazione?') === false) {
                e.stopImmediatePropagation();
                e.stopPropagation();
                e.preventDefault();
                $("[name='" + $(this).attr("name") + "'][value=0]").attr("checked", "checked");
                return false;
            }
            if ($(this).val() == 1) {
                $(this).parents(".pt-field").find(".dichiarazione-fields").removeClass("hidden");
            } else {
                $(this).parents(".pt-field").find(".dichiarazione-fields").addClass("hidden");
            }

            return true;
        });

        $(document).on("change", ".matricole-pistole, .matricole-computer, .matricole-ss", function (e) {
            e.stopImmediatePropagation();
            e.stopPropagation();

            $(this).parents(".this-field").find(".marca").text($(this).find("option:selected").data("marca"));
            $(this).parents(".this-field").find(".modello").text($(this).find("option:selected").data("modello"));
            $(this).parents(".this-field").find(".prod").text($(this).find("option:selected").data("prod"));
            $(this).parents(".this-field").find(".matricola").text($(this).find("option:selected").data("matricola") ? $(this).find("option:selected").data("matricola") : "\xa0");
            $(this).parents(".this-field").find(".normativa").text($(this).find("option:selected").data("normativa"));
        });

        $(document).on("click", ".add-row-distributori", function (e) {
            e.stopImmediatePropagation();
            e.stopPropagation();

            var newrow = $(__rowdi).clone();
            _oldindex = parseInt($(newrow).find(".matricole-pistole").attr("name").replace("pt[", "").replace("][matricola]", ""));
            _index = _oldindex + 1;

            $(newrow).find("[name*='pt']").each(function () {
                $(this).attr("name", $(this).attr("name").replace("[" + _oldindex + "]", "[" + _index + "]"));
            });
            __rowdi = $(newrow).clone();
            $(newrow).find(".matricole-pistole").chosen({
                no_results_text: "Nessun risultato",
                placeholder_text_single: "Seleziona la matricola della pistola",
                width: "100%"
            });

            $(newrow).appendTo(".pt-field-container");

            return false;
        });

        $(document).on("click", ".add-row-computer", function (e) {
            e.stopImmediatePropagation();
            e.stopPropagation();

            var newrow = $(__rowcp).clone();
            _oldindex = parseInt($(newrow).find(".matricole-computer").attr("name").replace("cc[", "").replace("][matricola]", ""));
            _index = _oldindex + 1;

            $(newrow).find("[name*='cc']").each(function () {
                $(this).attr("name", $(this).attr("name").replace("[" + _oldindex + "]", "[" + _index + "]"));
            });
            __rowcp = $(newrow).clone();
            $(newrow).find(".matricole-computer").chosen({
                no_results_text: "Nessun risultato",
                placeholder_text_single: "Seleziona la matricola",
                width: "100%"
            });

            $(newrow).appendTo(".cc-field-container");

            return false;
        });

        $(document).on("click", ".add-row-ss", function (e) {
            e.stopImmediatePropagation();
            e.stopPropagation();

            var newrow = $(__rowss).clone();
            _oldindex = parseInt($(newrow).find(".matricole-ss").attr("name").replace("ss[", "").replace("][matricola]", ""));
            _index = _oldindex + 1;

            $(newrow).find("[name*='ss']").each(function () {
                $(this).attr("name", $(this).attr("name").replace("[" + _oldindex + "]", "[" + _index + "]"));
            });
            __rowss = $(newrow).clone();
            $(newrow).find(".matricole-ss").chosen({
                no_results_text: "Nessun risultato",
                placeholder_text_single: "Seleziona la matricola",
                width: "100%"
            });

            $(newrow).appendTo(".ss-field-container");

            return false;
        });

        $(document).on("click", ".remove-row", function (e) {
            e.stopImmediatePropagation();
            e.stopPropagation();

            $(this).parents(".this-field").remove();
            return false;
        });

        $(document).on("click", ".salva-rapporto:not(.disabled), .chiudi-intervento:not(.disabled)", function (e) {
            e.stopImmediatePropagation();
            e.stopPropagation();
            var $this = $(this);
            $this.button('loading');

            var __data = $("form[name=rapporto]").serialize();

            $.ajax({
                url: "index.php?option=com_osma&task=chiusura.salvaRapporto&format=raw",
                method: 'POST',
                data: __data
            }).done(function (data) {
                data = JSON.parse(data);
                $this.button('reset');
                eval(data.script);
            });
            return false;
        });
    });
</script>